<?php
/**
 * @package		com_myplayer
 * @subpackage	mod_myplayer_latesttracks
 * @copyright	Copyright (C) 2010 - 2015 Nordmograph.com, Inc. All rights reserved.
 * @license		GNU General Public License version 3 or later; see LICENSE.txt
 */
defined('_JEXEC') or die;
abstract class modLatesttracksHelper
{
	public static function getTracks(&$params)
	{
		$db 	= JFactory::getDBO();
		$user 	= JFactory::getUser();
		
		$layout 		= $params->get('layout','multiple');
		$user_filter 	= $params->get('user_filter');
		$count 			= $params->get('count','5');
		$show_date 		= $params->get('show_date',1);
		
		$cparams 			= JComponentHelper::getParams('com_myplayer');
		$profileman		 	= $cparams->get('profileman', '0');
		$enable_podcast 	= $cparams->get('enable_podcast', 1);
		$enable_popup 		= $cparams->get('enable_popup', 1);
		$popup_width 		= $cparams->get('popup_width', '510');
		$popup_height 		= $cparams->get('popup_height', '215');
		$enable_qrcode 		= $cparams->get('enable_qrcode', 1);
		$show_date 			= $cparams->get('show_date', 1);
		$default_privacy 	= $cparams->get('default_privacy', '0');
		
		
		if($layout=='multiple' )
		{
			$q = "SELECT DISTINCT(mt.id) , mt.* , u.name, u.username ";
			if($profileman!='0')
			{
				if($profileman=='cb')
					$q .= ",cb.avatar AS thumb ,cb.avatarapproved ";	
				elseif($profileman=='js')
					$q .= ",cu.thumb";	
			}
			$q .=", mc.*";			
			$q .= " FROM #__myplayer_tracks mt 
			JOIN #__users u ON u.id = mt.created_by ";
			if($profileman!='0')
			{
				if($profileman=='cb')
					$q .= "JOIN #__comprofiler cb ON cb.user_id = mt.created_by";	
				elseif($profileman=='js')
					$q .= "JOIN #__community_users cu ON cu.userid= mt.created_by";	
			}
			//$q .=" LEFT JOIN #__myplayer_customize mc ON mc.created_by = mt.created_by ";	
			if($user->id==0 && $default_privacy>0 )
			{
				$q .=" JOIN #__myplayer_tracksplaylists mtp ON mtp.track_id = mt.id ";
				$q .=" JOIN #__myplayer_playlists mp ON mtp.playlist_id = mp.id AND mp.state='1' AND mp.privacy='0' ";
			}
			elseif($user->id>0 && $default_privacy>20)
			{
				$q .=" JOIN #__myplayer_tracksplaylists mtp ON mtp.track_id = mt.id ";
				$q .=" JOIN #__myplayer_playlists mp ON mtp.playlist_id = mp.id AND mp.state='1' AND mp.privacy<30 ";
			}
			else
			{
				$q .=" LEFT JOIN #__myplayer_tracksplaylists mtp ON mtp.track_id = mt.id 
				 LEFT JOIN #__myplayer_playlists mp ON mtp.playlist_id = mp.id AND mp.state='1' AND mp.privacy<30 ";
			}
			$q .=" LEFT JOIN #__myplayer_customize mc ON mc.created_by = mt.created_by AND mc.playlist_id='0' ";
			$q .=" WHERE mt.state='1'  "; // allow public or registred tracks
			if($user_filter)
				$q .= " AND mt.created_by='".$user_filter."' ";
			$q .="  ORDER BY mt.id DESC LIMIT ".$count;
			
			
			
			//(SELECT COUNT(*) FROM #__myplayer_tracksplaylists WHERE track_id= mt.id ) AS playlistcount";

		}
		else // single player
		{
			$q = "SELECT DISTINCT(mt.id) , mt.* , u.name, u.username ";
			$q .= " FROM #__myplayer_tracks mt 
			JOIN #__users u ON u.id = mt.created_by ";
			if($user->id==0 && $default_privacy>0 )
			{
				$q .=" JOIN #__myplayer_tracksplaylists mtp ON mtp.track_id = mt.id ";
				$q .=" JOIN #__myplayer_playlists mp ON mtp.playlist_id = mp.id AND mp.state='1' AND mp.privacy='0' ";
			}
			elseif($user->id>0 && $default_privacy>20)
			{
				$q .=" JOIN #__myplayer_tracksplaylists mtp ON mtp.track_id = mt.id ";
				$q .=" JOIN #__myplayer_playlists mp ON mtp.playlist_id = mp.id AND mp.state='1' AND mp.privacy<30 ";
			}
			else
			{
				$q .=" LEFT JOIN #__myplayer_tracksplaylists mtp ON mtp.track_id = mt.id 
				 LEFT JOIN #__myplayer_playlists mp ON mtp.playlist_id = mp.id AND mp.state='1' AND mp.privacy<30 ";
			}
			$q .=" WHERE mt.state='1'  "; // allow public or registred tracks
			if($user_filter)
				$q .= " AND mt.created_by='".$user_filter."' ";
			$q .="  ORDER BY mt.id DESC LIMIT ".$count;	
		}
		$db->setQuery($q);
		$tracks = $db->loadObjectList();
		return $tracks;
	}
}