<?php
/**
 * @package		com_myplayer
 * @subpackage	mod_myplayer_latesttracks
 * @copyright	Copyright (C) 2010 - 2015 Nordmograph.com, Inc. All rights reserved.
 * @license		GNU General Public License version 3 or later; see LICENSE.txt
 */
// no direct access
defined('_JEXEC') or die;
$tracks = '';
$html = '';

if(count($items))
{
	foreach($items as $track)
	{
		$track_info = sprintf(JText::_('COM_MYPLAYER_TITLEBYARTIST'),$track->title,$track->artist);
		$date_info = JHtml::date( $track->created_on , $date_format, $tz=false);
		$user_info = '<span class="myp-username" >'.$track->username.'</span>';
		if($track->file)
			$track_url = $juri.'media/com_myplayer/tracks/'.$track->created_by.'/'.$track->file;
		elseif($track->file_url)
				{
					$track_url = $track->file_url;
					if($soundcloud_client_id && strpos($track_url,'soundcloud')!==false )
						$track_url = $track_url.'?client_id='.$soundcloud_client_id;
				}
		if($track->cover)
			$cover_url = $juri.'media/com_myplayer/covers/'.$track->created_by.'/'.$track->cover;
		$tracks .= '<li>';
		$tracks .='<a type="audio/mp3" href="'.$track_url.'">';
		if($track->cover)
			$tracks .= '<div class="myp-trackcover" ><img src="'.$cover_url.'" alt="cover" width="28" height="28" /></div> ';
		$tracks .= $track_info;
		if($track->duration)
			$tracks .= '<span class="label" >'.$track->duration.'</span>';
		$tracks .= ' - <span class="myp-uploadinfo label" data-user-id="'.$track->created_by.'" data-popbox="module://easysocial/profile/popbox" >';
		if($show_date)
			$tracks .= sprintf( JText::_('COM_MYPLAYER_UPLOADEDINFODATE_SINGLE') , $date_info , $user_info).'</span>';
		else
			$tracks .= sprintf( JText::_('COM_MYPLAYER_UPLOADEDINFO_SINGLE') , $user_info);
		$tracks .= '</span>';
		$tracks .= '</a>';
		$tracks .= '</li>'		;
	}
}
else
	$tracks .= '<li>'.JText::_('COM_MYPLAYER_NOTRACKYET'). '</li>';
$html .= '<div class="sm2-bar-ui full-width playlist-open">
					<div class="bd sm2-main-controls">
  					<div class="sm2-inline-texture"  ></div>
  					<div class="sm2-inline-gradient"></div>
  					<div class="sm2-inline-element sm2-button-element">
						<div class="sm2-button-bd">
							<a href="#play" class="sm2-inline-button play-pause">Play / pause</a>
						</div>
  					</div>
  					<div class="sm2-inline-element sm2-inline-status">
						<div class="sm2-playlist">
							<div class="sm2-playlist-target">
								<ul class="sm2-playlist-bd">'.$tracks.'</ul>
							</div>
   						</div>
						<div class="sm2-progress">
							<div class="sm2-row">
    							<div class="sm2-inline-time">0:00</div>
     							<div class="sm2-progress-bd">
      								<div class="sm2-progress-track">
      									<div class="sm2-progress-bar"></div>
										<div class="sm2-progress-ball">
											<div class="icon-overlay"></div>
										</div>
      								</div>
     							</div>
     							<div class="sm2-inline-duration">0:00</div>
    						</div>
   						</div>
  					</div>
					<div class="sm2-inline-element sm2-button-element sm2-volume">
						<div class="sm2-button-bd">
							<span class="sm2-inline-button sm2-volume-control volume-shade"></span>
							<a href="#volume" class="sm2-inline-button sm2-volume-control">volume</a>
						</div>
					</div>
					<div class="sm2-inline-element sm2-button-element">
						<div class="sm2-button-bd">
							<a href="#prev" title="Previous" class="sm2-inline-button previous">&lt; previous</a>
					   </div>
					</div>
					<div class="sm2-inline-element sm2-button-element">
						<div class="sm2-button-bd">
							<a href="#next" title="Next" class="sm2-inline-button next">&gt; next</a>
						</div>
					</div>
					<div class="sm2-inline-element sm2-button-element sm2-menu">
						<div class="sm2-button-bd">
							<a href="#menu" class="sm2-inline-button pmenu">menu</a>
						</div>
					</div>
				</div>
				<div class="bd sm2-playlist-drawer sm2-element" style="height: 146px;">
					<div class="sm2-inline-texture">
						<div class="sm2-box-shadow"></div>
					</div>
					<!-- playlist content is mirrored here -->
					<div class="sm2-playlist-wrapper">
						<ul class="sm2-playlist-bd">'.$tracks .'</ul>
					</div>
					<div class="sm2-extra-controls">
						<div class="bd">
							<div class="sm2-inline-element sm2-button-element">
								<a href="#prev" title="Previous" class="sm2-inline-button previous">&lt; previous</a>
							</div>
							<div class="sm2-inline-element sm2-button-element">
								<a href="#next" title="Next" class="sm2-inline-button next">&gt; next</a>
							</div>
	
							<!-- unimplemented -->
							<!--
							<div class="sm2-inline-element sm2-button-element disabled">
								<a href="#repeat" title="Repeat playlist" class="sm2-inline-button repeat">
								&infin; repeat</a>
							</div>
			
							<div class="sm2-inline-element sm2-button-element disabled">
								<a href="#shuffle" title="Shuffle" class="sm2-inline-button shuffle">shuffle</a>
							</div>
							-->
						 </div>
					</div>
				</div>
			</div>';
		echo $html;