<?php
/**
 * @package		com_myplayer
 * @subpackage	mod_myplayer_latesttracks
 * @copyright	Copyright (C) 2010 - 2017 Nordmograph.com, Inc. All rights reserved.
 * @license		GNU General Public License version 3 or later; see LICENSE.txt
 */
// no direct access
defined('_JEXEC') or die;

$doc = JFactory::getDocument();
$juri 	= JURI::Base();
$doc->addStylesheet($juri.'modules/mod_myplayer_playlist/css/style.css');
$doc->addStyleSheet($juri.'components/com_myplayer/assets/css/fontello.css');
$doc->addStyleSheet($juri.'components/com_myplayer/assets/css/player.css');
$doc->addStylesheet($juri.'components/com_myplayer/assets/soundmanager/bar-ui/css/bar-ui.css');
$doc->addScript($juri.'components/com_myplayer/assets/soundmanager/soundmanager2-jsmin.js');
$doc->addScript($juri.'components/com_myplayer/assets/soundmanager/bar-ui/script/bar-ui.js');

$lang = JFactory::getLanguage();
$extension = 'com_myplayer';
$base_dir = JPATH_SITE;
$reload = false;
$lang->load($extension, $base_dir, $lang->getTag(), $reload);

$cparams 			= JComponentHelper::getParams('com_myplayer');
$profileman		 	= $cparams->get('profileman', '0');
$enable_podcast 	= $cparams->get('enable_podcast', 1);
$enable_popup 		= $cparams->get('enable_popup', 1);
$popup_width 		= $cparams->get('popup_width', '510');
$popup_height 		= $cparams->get('popup_height', '215');
$enable_qrcode 		= $cparams->get('enable_qrcode', 1);


$show_description 	= $params->get('show_description', 1);
$show_owner 	= $params->get('show_owner', 1);
$date_format 		= $params->get('date_format','d/m/Y');
$playlistid 		= $params->get('playlistid');
if(!$playlistid)
{
	echo '<div class="alert alert-warning">Playlist ID missing. Check the module settings</div>';
	return;
	
}

require_once JPATH_BASE.'/components/com_myplayer/helpers/myplayer.php';

if($profileman=='es')
{
	$doc->addStyleSheet( $juri.'components/com_easysocial/themes/wireframe/styles/base.min.css' );
	$doc->addStyleSheet( $juri.'components/com_easysocial/themes/wireframe/styles/style.min.css' );
	$doc->addStyleSheet( $juri.'components/com_easysocial/themes/wireframe/styles/more.min.css' );
	//$doc->addStylesheet( $juri.'modules/mod_myplayer_latesttracks/css/es.css');
	$file 	= JPATH_ROOT . '/administrator/components/com_easysocial/includes/foundry.php';
	jimport( 'joomla.filesystem.file' );
	if( !JFile::exists( $file ) )
		return;
	require_once( $file );

		// popwindows
	Foundry::language()->load( 'com_easysocial' , JPATH_ROOT );
				$modules 	= Foundry::modules( 'mod_easysocial_toolbar' );
				$modules->loadComponentScripts();
}
elseif($profileman=='js')
{
	require_once JPATH_BASE.'/components/com_community/libraries/core.php';
	$jsconfig				= CFactory::getConfig();
	$naming 			= $jsconfig->get('displayname','username');
	$juri_storage		= $juri;
	if($jsconfig->get('storages3bucket')!='' &&   $jsconfig->get('storages3bucket_url')!=''  && $jsconfig->get('user_avatar_storage')=='s3' )
	{
		$juri_storage	= '//'.str_replace( '<bucket>', $jsconfig->get('storages3bucket') , $jsconfig->get('storages3bucket_url') ).'/';
	}	
}
elseif($profileman=='0')
{
	
	$player_Itemid = MyplayerFrontendHelper::getPlayerItemid();
}

// Include the syndicate functions only once
require_once dirname(__FILE__).'/helper.php';
$items = modPlaylistHelper::getTracks($params);
$playlist 	= modPlaylistHelper::getPlaylist($params);
$customize 	= modPlaylistHelper::getCustomize($params);

require_once JPATH_BASE.'/components/com_myplayer/helpers/myplayer.php' ;
$myplayer_Itemid 	= MyplayerFrontendHelper::getPlayerItemid();

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));
require JModuleHelper::getLayoutPath('mod_myplayer_playlist' );