<?php

/**
 * @package		com_myplayer
 * @subpackage	mod_myplayer_latesttracks
 * @copyright	Copyright (C) 2010 - 2015 Nordmograph.com, Inc. All rights reserved.
 * @license		GNU General Public License version 3 or later; see LICENSE.txt
 */
// no direct access
defined('_JEXEC') or die;
$tracks = '';
$html = '';
$playlistid 		= $params->get('playlistid');

$enable_podcast = $cparams->get('enable_podcast', 1);
$enable_popup 	= $cparams->get('enable_popup', 1);
$popup_width 	= $cparams->get('popup_width', '510');
$popup_height 	= $cparams->get('popup_height', '215');
$enable_embed 	= $cparams->get('enable_embed', 1);
$enable_qrcode 	= $cparams->get('enable_qrcode', 1);
$enable_share 	= $cparams->get('enable_share', 1);
$appid			= $cparams->get('appid');
$fb_width		= $cparams->get('fb_width', '150');
$fb_layout		= $cparams->get('fb_layout', 'button_count');
$fb_colorscheme	= $cparams->get('fb_colorscheme', 'light');
$friends_faces	= $cparams->get('friends_faces', 'false');
$include_share	= $cparams->get('include_share', 'true');
$include_send	= $cparams->get('include_send', true);
$facebookcomments 	= $cparams->get('facebookcomments',1);
$fbcomments_width	= $cparams->get('fbcomments_width','700');
$numposts			= $cparams->get('numposts','5');





$html .= '<h3>'.$playlist->title.'</h3>';
if($show_description )
	$html .= '<div>'.$playlist->description.'</div>';

		
if(count($items))
{
	$i = 0;
	foreach($items as $track)
	{
		$i++;
		$track_info = sprintf(JText::_('COM_MYPLAYER_TITLEBYARTIST'),$track->title,$track->artist);
		$date_info = JHtml::date( $track->created_on , $date_format, $tz=false);
		$user_info = '<span class="myp-username" >'.$track->username.'</span>';
		if($track->file)
			$track_url = $juri.'media/com_myplayer/tracks/'.$track->created_by.'/'.$track->file;
		elseif($track->file_url)
				{
					$track_url = $track->file_url;
					if($soundcloud_client_id && strpos($track_url,'soundcloud')!==false )
						$track_url = $track_url.'?client_id='.$soundcloud_client_id;
				}
		if($track->cover)
		{
			$cover_url = $juri.'media/com_myplayer/covers/'.$track->created_by.'/'.$track->cover;
			$doc->addStyleDeclaration('#playlist-200cover'.$module->id.'{background-image:url('.$cover_url.');width:200px;height:200px;}');
		}
			
		
		$tracks .= '<li>';
		$tracks .='<a type="audio/mp3" href="'.$track_url.'">';
		if($track->cover)
			$tracks .= '<div class="myp-trackcover" ><img src="'.$cover_url.'" alt="cover" width="28" height="28" /></div> ';
		$tracks .= $track_info;
		if($track->duration)
			$tracks .= '<span class="label" >'.$track->duration.'</span>';
		$tracks .= ' - <span class="myp-uploadinfo label" data-user-id="'.$track->created_by.'" data-popbox="module://easysocial/profile/popbox" >';
		//if($show_date)
			//$tracks .= sprintf( JText::_('COM_MYPLAYER_UPLOADEDINFODATE_SINGLE') , $date_info , $user_info).'</span>';
		//else
			$tracks .= sprintf( JText::_('COM_MYPLAYER_UPLOADEDINFO_SINGLE') , $user_info);
		$tracks .= '</span>';
		$tracks .= '</a>';
		$tracks .= '</li>'		;
	}
}
else
	$tracks .= '<li>'.JText::_('COM_MYPLAYER_NOTRACKYET'). '</li>';
	
if (!empty($customize))
		{
			$opacity=1;
			$color = trim(modPlaylistHelper::get_string_between($customize->css , 'color:',';'));
			$fullcolors = trim(modPlaylistHelper::get_string_between($customize->css , 'rgba(',')'));
			$colors = explode(',',$fullcolors);
			$topacity = trim(end($colors));
			$texture = trim(modPlaylistHelper::get_string_between($customize->css , 'ground:',';'));
			if($colors)
			{
				echo '<style>.sm2-bar-ui'.$module->id.' .sm2-main-controls'.$module->id.',
				.sm2-bar-ui'.$module->id.' .sm2-playlist-drawer'.$module->id.' {
				 background-color: '.$color.'; 
				 background-color: rgba('.$fullcolors.');
				 opacity:'.$opacity.';
				}</style>';
			}
			else
			{
				echo '<style>.sm2-bar-ui'.$module->id.' .sm2-main-controls'.$module->id.',
				.sm2-bar-ui'.$module->id.' .sm2-playlist-drawer'.$module->id.' 
				{
				 background-color: '.$color.';
				}</style>';
			}
			if(strpos($texture,'.png')!==false)
			{
				$texture_css = 'url('.$juri.
				'components/com_myplayer/assets/soundmanager/bar-ui/image/patterns/'.$texture.')';
			}
			else
				$texture_css =$texture;
			echo '<style> .sm2-inline-texture'.$module->id.' {background:'.$texture_css.'}</style>';
			$customize_attributes = $customize->attributes;
			$customize_player_height = $customize->player_height;
				
		}
	else
	{
		$texture_css ='';
		$customize_attributes = '';
			$customize_player_height = '';
	}
	

$html .= '<div id="playlist-200cover'.$module->id.'" class="playlist-200cover" ></div>';

$html .= '<div class="sm2-bar-ui sm2-bar-ui'.$module->id.' full-width textured playlist-open '.$customize_attributes.'" style="max-height:'.$customize_player_height.'px">
				<div class="bd sm2-main-controls sm2-main-controls'.$module->id.'">
  					<div class="sm2-inline-texture sm2-inline-texture'.$module->id.'" style="background: '.$texture_css.'" ></div>
  					<div class="sm2-inline-gradient"></div>
  					<div class="sm2-inline-element sm2-button-element">
						<div class="sm2-button-bd">
							<a type="audio/mp3" href="#play" class="sm2-inline-button play-pause">Play / pause</a>
						</div>
  					</div>
  					<div class="sm2-inline-element sm2-inline-status">
						<div class="sm2-playlist">
							<div class="sm2-playlist-target">
								<ul class="sm2-playlist-bd">'.$tracks.'</ul>
							</div>
   						</div>
						<div class="sm2-progress">
							<div class="sm2-row">
    							<div class="sm2-inline-time">0:00</div>
     							<div class="sm2-progress-bd">
      								<div class="sm2-progress-track">
      									<div class="sm2-progress-bar"></div>
										<div class="sm2-progress-ball">
											<div class="icon-overlay"></div>
										</div>
      								</div>
     							</div>
     							<div class="sm2-inline-duration">0:00</div>
    						</div>
   						</div>
  					</div>
					<div class="sm2-inline-element sm2-button-element sm2-volume">
						<div class="sm2-button-bd">
							<span class="sm2-inline-button sm2-volume-control volume-shade"></span>
							<a href="#volume" class="sm2-inline-button sm2-volume-control">volume</a>
						</div>
					</div>
					<div class="sm2-inline-element sm2-button-element">
						<div class="sm2-button-bd">
							<a href="#prev" title="Previous" class="sm2-inline-button previous">&lt; previous</a>
					   </div>
					</div>
					<div class="sm2-inline-element sm2-button-element">
						<div class="sm2-button-bd">
							<a href="#next" title="Next" class="sm2-inline-button next">&gt; next</a>
						</div>
					</div>
					<div class="sm2-inline-element sm2-button-element sm2-menu">
						<div class="sm2-button-bd">
							<a href="#menu" class="sm2-inline-button pmenu">menu</a>
						</div>
					</div>
				</div>
				<div class="bd sm2-playlist-drawer sm2-playlist-drawer'.$module->id.'  sm2-element" style="height: 146px;">
					<div class="sm2-inline-texture sm2-inline-texture'.$module->id.'">
						<div class="sm2-box-shadow"></div>
					</div>
					<!-- playlist content is mirrored here -->
					<div class="sm2-playlist-wrapper">
						<ul class="sm2-playlist-bd">'.$tracks .'</ul>
					</div>
					<div class="sm2-extra-controls">
						<div class="bd">
							<div class="sm2-inline-element sm2-button-element">
								<a href="#prev" title="Previous" class="sm2-inline-button previous">&lt; previous</a>
							</div>
							<div class="sm2-inline-element sm2-button-element">
								<a href="#next" title="Next" class="sm2-inline-button next">&gt; next</a>
							</div>
	
							<!-- unimplemented -->
							<!--
							<div class="sm2-inline-element sm2-button-element disabled">
								<a href="#repeat" title="Repeat playlist" class="sm2-inline-button repeat">
								&infin; repeat</a>
							</div>
			
							<div class="sm2-inline-element sm2-button-element disabled">
								<a href="#shuffle" title="Shuffle" class="sm2-inline-button shuffle">shuffle</a>
							</div>
							-->
						 </div>
					</div>
				</div>
			</div>';
		
	$uri = JFactory::getUri();
	$url = 'index.php?option=com_myplayer&view=player&userid='.$playlist->created_by;
	if($playlistid)
		$url .= '&playlistid='.$playlistid;
	$share_url = $uri->getScheme().'://'.$uri->getHost().JRoute::_( $url , false);
			
			
	if( 
		($playlistid>0 && $playlist->privacy!='0') OR ( $playlistid==0 && $default_privacy!='0' ) 
	)
	{
		if($playlistid>0)
			$title = JText::_('COM_MYPLAYER_LOCKED_'.$playlist->privacy);
		else
			$title = JText::_('COM_MYPLAYER_LOCKED_'.$default_privacy);
		$html .='<i class="myp-icon-lock hasTooltip" title="'.$title.'"></i>';
	}
	
	if($appid && 
			(($playlistid>0 && $playlist->privacy=='0') OR ( $playlistid==0 && $default_privacy=='0')) 
		)
	{
				$lang 		= JFactory::getLanguage();
				$langtag	= str_replace("-","_", $lang->get('tag') );
				$html .= '<div id="fb-root"></div>
						<script>(function(d, s, id) {
						  var js, fjs = d.getElementsByTagName(s)[0];
						  if (d.getElementById(id)) return;
						  js = d.createElement(s); js.id = id;
						  js.src = "//connect.facebook.net/'.$langtag.'/all.js#xfbml=1&appId='.$appid.'&version=v2.0";
						  fjs.parentNode.insertBefore(js, fjs);
						}(document, \'script\', \'facebook-jssdk\'));</script>';
				
				$html .= '<div class="fb-like" data-href="'.$share_url.'" data-width="'.$fb_width.'" data-layout="'.$fb_layout.'"  data-show-faces="'.$friends_faces.'" data-share="true"></div>';
					
	}
		
	//if($userid>0)
	//{
		$html .= '<div class="myp-controls" >';
		if($enable_share &&  
			(($playlistid>0 &&$playlist->privacy=='0') OR ( $playlistid==0 && $default_privacy=='0'))
		 )
		{
			$doc->addScriptDeclaration('jQuery(document).ready(function(){
				jQuery("#share-toggler'.$module->id.'").click(function(){
					jQuery("#myp-embed-container'.$module->id.'").hide();
					jQuery("#myp-share-container'.$module->id.'").toggle();
				});
				});');
			$html .= '<a href="#myplayer" class="hasTooltip" 
			title="'.JText::_('COM_MYPLAYER_SHARETOOLTIP').'"  id="share-toggler'.$module->id.'">
			<i class="myp-icon-share"></i></a>';
		}
		
		if($enable_embed && 
		(($playlistid>0 && $playlist->privacy=='0') OR ( $playlistid==0 && $default_privacy=='0'))
		)
		{
			$doc->addScriptDeclaration('jQuery(document).ready(function(){
				jQuery("#embed-toggler'.$module->id.'").click(function(){
					jQuery("#myp-share-container'.$module->id.'").hide();
				jQuery("#myp-embed-container'.$module->id.'").toggle();});});');
			$html .= '<a href="#myplayer" class="hasTooltip" 
			title="'.JText::_('COM_MYPLAYER_EMBEDTOOLTIP').'"  	
			id="embed-toggler'.$module->id.'"><i class="myp-icon-code"></i></a>';
		}
		
		if($enable_qrcode )
		{	
			
			JHTML::_('behavior.modal');
			$url = 'index.php?option=com_myplayer&view=player&userid='.$playlist->created_by;
			if($playlistid)
				$url .= '&playlistid='.$playlistid;

			$url .= '&tmpl=component&qr=1';
			$qr_url = $uri->getScheme().'://'.$uri->getHost();
			$qr_url .= JRoute::_($url);	
			$encodedurl = urlencode($qr_url);
			$html .= '<a 
			href="//chart.googleapis.com/chart?cht=qr&chs=350x350&chld=L&choe=UTF-8&chl='.$encodedurl.'" 
			class="hasTooltip modal" rel="{handler: \'iframe\', size: {x: 350, y: 350}}"
			title="'.JText::_('COM_MYPLAYER_QRCODETOOLTIP').'"  
			><i class="myp-icon-qrcode"></i></a>';
		}
		
		
		if($enable_popup)
		{
			$page_title = sprintf(JText::_('COM_MYPLAYER_PLAYLISTPLAYERPAGETITLE'),
		JFactory::getUser( $playlist->created_by )->username , $playlist->title);
		
			$url = 'index.php?option=com_myplayer&view=player&userid='.$playlist->created_by;
			if($playlistid)
				$url .= '&playlistid='.$playlistid;

			$url .= '&tmpl=component&poped=1';
			$popurl=JRoute::_($url);
			$doc->addScriptDeclaration('function popitup(url) {
				newwindow=window.open(url,\''.$page_title.'\',\'height='.$popup_height.',width='.$popup_width.'\');
				if (window.focus) {newwindow.focus()}
				return false;}');
			$html .= '<a onclick="return popitup(\''.$popurl.'\')" class="hasTooltip" title="'.JText::_('COM_MYPLAYER_POPUPIZE').'" href="'.$popurl.'"><i class="myp-icon-popup"></i></a>';
		}
		
		
		if($enable_podcast && 
		(($playlistid>0 && $playlist->privacy=='0') OR ( $playlistid==0 && $default_privacy=='0'))
		 )
		{
			$url = 'index.php?option=com_myplayer&view=player&userid='.$playlist->created_by;
			if($playlistid)
				$url .= '&playlistid='.$playlistid;
			$url .= '&format=feed';
			$html .= '<a target="_blank" class="hasTooltip" 
			title="'.JText::_('COM_MYPLAYER_PODCASTFEED').'" 
			href="'.JRoute::_($url).'"><i class="myp-icon-rss-squared"></i></a>';
		}
		$html .= '</div>
		<div class="clear"></div>';
	//}	
		
		
		
		
		
		if($enable_embed && 
		(($playlistid>0 && $playlist->privacy=='0') OR ( $playlistid==0 && $default_privacy=='0'))
		 )
		{
			$url='index.php?option=com_myplayer&view=player&userid='.$playlist->created_by;
			if($playlistid)
				$url .= '&playlistid='.$playlistid;
			
			$url .= '&tmpl=component&embed=1' ;
			
			$embed_url = $uri->getScheme().'://'.$uri->getHost()
			.JRoute::_( $url, false);
			$embed_code = '<iframe src="'.$embed_url.'" width="300" height="400"></iframe>';
			$html .= '<div id="myp-embed-container'.$module->id.'" class="myp-embed-container">';
			$html .= '<i class="myp-icon-code"></i> '.JText::_('COM_MYPLAYER_EMBEDNOTICE');
			$html .=  '<pre><code>'.htmlspecialchars($embed_code).'</code></pre>
			</div>';
		}
		
		
		if($enable_share && 
		(($playlistid>0 && $playlist->privacy=='0') OR ( $playlistid==0 && $default_privacy=='0' ))
		 )
		{
			
			
			$html .= '<div id="myp-share-container'.$module->id.'" class="myp-share-container">';
			$html .= '<i class="myp-icon-share"></i> '.JText::_('COM_MYPLAYER_SHARENOTICE');
			$html .=  '<pre><code>'.htmlspecialchars($share_url).'</code></pre>';
			$html .= '</div>';
		}
		
		
		if($facebookcomments && $appid && 
		(($playlistid>0 && $playlist->privacy=='0') OR ( $playlistid==0 && $default_privacy=='0' ))
		)
		{
			$scroll = "function scrollToAnchor(aid){
				    var aTag = jQuery(\"a[name='\"+ aid +\"']\");
				    jQuery('html,body').animate({scrollTop: aTag.offset().top},'slow');
				}";
			$doc->addScriptDeclaration($scroll);
			$html .= '<div class="fb-comments" data-href="'.$share_url.'" 
			data-numposts="5" data-width="'.$fbcomments_width.'" 
			data-colorscheme="'.$fb_colorscheme.'"></div>';
		}
		
		
		
		
		
		
		
		
		echo $html;