<?php
/**
 * @version    CVS: 1.0.0
 * @author     Nordmograph <contact@nordmograph.com>
 * @copyright  2016 Nordmograph
 * @license    GNU General Public License version 2 ou version ultérieure ; Voir LICENSE.txt
 */

defined('JPATH_BASE') or die;

jimport('joomla.html.html');
jimport('joomla.form.formfield');

/**
 * Supports an HTML select list of categories
 *
 * @since  1.6
 */
class JFormFieldProfiletypes extends JFormField
{
	/**
	 * The form field type.
	 *
	 * @var        string
	 * @since    1.6
	 */
	protected $type = 'profiletypes';

	/**
	 * Method to get the field input markup.
	 *
	 * @return    string    The field input markup.
	 *
	 * @since    1.6
	 */
	function getInput()
	{
		$db = JFactory::getDBO ();
		$sql = $db->getQuery(true)
			->select('id,name')
			->from($db->qn('#__community_profiles'))
			->where($db->qn('published').'= 1')
			->order('ordering');
		$db->setQuery($sql);
		$profiletypes = $db->loadObjectList ();
		if($this->value=='')
			$this->value = array();
		//$options = array();
		//$options[] = JHTML::_('select.option', '0' , JText::_('JALL') );
		
		$html = '<select type="list" name="'.$this->name.'"  multiple="multiple"  >';
		$html .= '<option value="0" ';
		if(in_array('0' , $this->value ) OR empty($this->value) OR $this->value =='all')
				$html .= ' selected="selected" ';
			$html .= '>'.JText::_('JALL').'</option>';
		foreach ($profiletypes as $profiletype)
		{
			//$options[] = JHTML::_('select.option', $profiletype->id, $profiletype->name);
			$html .= '<option value="'.$profiletype->id.'" ';
			if(in_array($profiletype->id , $this->value ))
				$html .= ' selected="selected" ';
			$html .= '>'.$profiletype->name.'</option>';
		}
		
		$html .= '</select >';
		return $html;
	}

}
