<?php
/**
* @package		Easysocial
* @subpackge	app_whovisitedmyprofile
* @copyright	Copyright (C) 2010 - 2015 Nordmograph.com Adrien ROUSSEL. All rights reserved.
* @license		GNU/GPL v3, http://www.gnu.org/licenses/gpl-3.0.html
*/
defined( '_JEXEC' ) or die( 'Unauthorized Access' );

// Import the model file from the core
Foundry::import( 'admin:/includes/model' );
class WhovisitedmyprofileModel extends EasySocialModel
{
	public function getVisits( $userId , $appParams, $userParams, $appid, $appalias)
	{
		$limit 	= (int)  $appParams->get( 'limit' , '30'  );
		$user_limit = (int) $userParams->get( 'limit'  );
		if($user_limit!='')
			$limit = $user_limit;
		$db 	= JFactory::getDBO();
		$q = "SELECT DISTINCT(DATE(date)) AS thedate, count( * ) AS count
		FROM #__es_profilevisits
		WHERE profile_userid='".$userId."' 
		AND date>CURDATE() - INTERVAL ".$limit." DAY 
		GROUP BY thedate
		ORDER BY thedate ASC";

		$db->setQuery($q);
		$visitz = $db->loadObjectList();
		$visits = array();
		foreach ($visitz as $visit)
		{
			$visits[$visit->thedate] = $visit->count;
		}
		return $visits;
	}
	
	public function getVisitors( $userId , $appParams, $userParams, $appid, $appalias)
	{
		$limit 	= (int)  $appParams->get( 'limit' , '30'  );
		$user_limit = (int) $userParams->get( 'limit'  );
		if($user_limit!='')
			$limit = $user_limit;
		$db 	= JFactory::getDBO();
		$q = "SELECT DISTINCT(epv.visitor_userid) ,epv.date , 
		 u.username , u.name
		FROM #__es_profilevisits epv 
		JOIN #__users u ON u.id = epv.visitor_userid 
		WHERE epv.profile_userid='".$userId."' 
		AND epv.date>CURDATE() - INTERVAL ".$limit." DAY 
		GROUP BY epv.visitor_userid 
		ORDER BY epv.date DESC" ;
		$db->setQuery($q);
		$visitors = $db->loadObjectList();
		return $visitors;
	}

	public function logVisits( $userId , $appParams, $appid, $appalias )
	{
		$exclude_users 		= (int)  $appParams->get( 'exclude_users'   );
		$exclude_users 		= explode(',', $exclude_users);
		$juser				= JFactory::getUser();
		if(in_array( $juser->id , $exclude_users) 
			OR $juser->id == $userId
		 )
			return false;
		else
		{	
			$db = JFactory::getDBO();
			$q = "SELECT id, date FROM #__es_profilevisits 
			WHERE profile_userid='".$userId."' 
			AND visitor_userid='".$juser->id."' 
			AND SUBSTR(date, 1, 10) ='".date('Y-m-d')."'  ";
			$db->setQuery($q);
			$data = $db->loadObject();
			if(!$data->id)
			{
				$q = "INSERT INTO #__es_profilevisits
				(profile_userid , visitor_userid, date  )
				VALUES 
				('".$userId."' , '".$juser->id."' , '".date('Y-m-d H:i:s')."'  )  ";
				$db->setQuery($q);
				if (!$db->query()) die($db->stderr(true));
			}
		}
	}	
}