<?php
/**
* @package		Easysocial
* @subpackge	app_runtastic
* @copyright	Copyright (C) 2010 - 2014 Nordmograph.com Adrien ROUSSEL. All rights reserved.
* @license		GNU/GPL v3, http://www.gnu.org/licenses/gpl-3.0.html
*/
defined( '_JEXEC' ) or die( 'Unauthorized Access' );
Foundry::import( 'admin:/includes/apps/apps' );
class SocialUserAppMyplayer extends SocialAppItem
{
	public function __construct()
	{
		$doc 	= JFactory::getDocument();
		$juri 	= JURI::Base();
		$doc->addStyleSheet($juri.'media/com_easysocial/apps/user/myplayer/assets/css/style.css');
		$doc->addStyleSheet($juri.'components/com_myplayer/assets/css/fontello.css');
		$doc->addStylesheet($juri.'components/com_myplayer/assets/soundmanager/bar-ui/css/bar-ui.css');
		$doc->addScript($juri.'components/com_myplayer/assets/soundmanager/soundmanager2-jsmin.js');
		$doc->addScript($juri.'components/com_myplayer/assets/soundmanager/bar-ui/script/bar-ui.js');
		parent::__construct();
	}
	public function onPrepareStream( SocialStreamItem &$stream, $includePrivacy = true )
	{
		$lang	= JFactory::getLanguage();
		$lang->load('com_myplayer', JPATH_SITE ,  $lang->getTag() , $reload=false);
		if ($stream->context == 'tracks')
		{
			$params				= $this->getParams();
			$stream->color	 	= $params->get('stream_icon_color', '#28c');
			$stream->fonticon 	= $params->get('stream_icon', 'myp-icon-play');
			$actor  			= $stream->actor;
			$podcast_url = JRoute::_('index.php?option=com_myplayer&view=player&userid='.$actor->id.'&format=feed');
			$profile_url = JRoute::_('index.php?option=com_easysocial&view=profile&id='.$actor->id.':'.$actor->username);
			$contextid			= $stream->contextIds[0];
			$stream->display 	= SOCIAL_STREAM_DISPLAY_FULL;
			$stream->label		= JText::_( 'COM_MYPLAYER_ES_ACTIVITYSTREAM_LABEL' );
			$stream->title      = JText::sprintf( 
									JText::_('COM_MYPLAYER_TRACKADDED') , 
									'<a href="'.$profile_url.'">'.$actor->getName().'</a>'
								);
			 $json				= json_decode($stream->contextParams[ $contextid ]);
			 $app_id = $json->{'app_id'};
			$stream_lists = $json->{'stream_lists'};
			$count_stream_lists = count( $stream_lists );
			if( $count_stream_lists )
			{
				if($count_stream_lists<2)
					$stream->title .= ' '.JText::_('COM_MYPLAYER_TOPLAYLIST');
				else
					$stream->title .= ' '.JText::_('COM_MYPLAYER_TOPLAYLISTS');
				foreach($stream_lists as $h=>$stream_list)
				{
					$playerurl = 'index.php?option=com_easysocial&view=apps&id='.$app_id.':myplayer&layout=canvas&userid='.$actor->id.'&playlistid='.$stream_list->id ;
					$stream->title .= '<a 
					href="'.JRoute::_($playerurl).'#myplayer" >'.$stream_list->title.'</a>';	
					if($h + 1 <count($stream_lists))
					 $stream->title .= ' | ';
				}
				
			}
								
			
			$content			= $json->{'content'}.'<a href="'.$podcast_url.'" target="_blank" 
			title="'.sprintf(JText::_('COM_MYPLAYER_FEEDTITLE'),$actor->getName() ).'" class="hasTooltip">
			<i class="icon-feed"></i> </a>';	
			$stream->content  = $content;
			$stream->repost 	= true;
		}
	}

	public function onPrepareActivityLog( SocialStreamItem &$item, $includePrivacy = true )
	{
	}


	public function onAfterLikeSave( &$likes )
	{
	}


	public function onAfterCommentSave( &$comment )
	{
	}


	public function onNotificationLoad(SocialTableNotification &$item )
	{
	}
	
}
