<?php
/**
 * @version     1.0.0
 * @package     com_myplayer
 * @copyright   Copyright (C) Nordmograph 2016. All rights reserved.
 * @license     GNU General Public License version 3 ; See LICENSE.txt
 * @author      Nordmograph <contact@nordmograph.com> - http://www.nordmograph.com/extensions
 */
defined('_JEXEC') or die;
class MyplayerFrontendHelper {
	static function getPlayerItemid()
	{
		$lang = JFactory::getLanguage();
		$db 	= JFactory::getDBO();
		$q = "SELECT `id` FROM `#__menu` 
		WHERE `link`='index.php?option=com_myplayer&view=player' 
		AND `type`='component'  
		AND ( language ='".$lang->getTag()."' OR language='*') 
		AND published='1'  ";
		$db->setQuery($q);
		return $db->loadResult();
	}
	static function getTrackFormItemid()
	{
		$lang = JFactory::getLanguage();
		$db 	= JFactory::getDBO();
		$q = "SELECT `id` FROM `#__menu` 
		WHERE `link`='index.php?option=com_myplayer&view=trackform' 
		AND `type`='component'  
		AND ( language ='".$lang->getTag()."' OR language='*') 
		AND published='1'  ";
		$db->setQuery($q);
		return $db->loadResult();
	}   
	static function getTracksManagerItemid()
	{
		$lang = JFactory::getLanguage();
		$db 	= JFactory::getDBO();
		$q = "SELECT `id` FROM `#__menu` 
		WHERE `link`='index.php?option=com_myplayer&view=tracks' 
		AND `type`='component'  
		AND ( language ='".$lang->getTag()."' OR language='*') 
		AND published='1'  ";
		$db->setQuery($q);
		return $db->loadResult();
	}
	static function getPlaylistsManagerItemid()
	{
		$lang = JFactory::getLanguage();
		$db 	= JFactory::getDBO();
		$q = "SELECT `id` FROM `#__menu` 
		WHERE `link`='index.php?option=com_myplayer&view=playlists' 
		AND `type`='component'  
		AND ( language ='".$lang->getTag()."' OR language='*') 
		AND published='1'  ";
		$db->setQuery($q);
		return $db->loadResult();
	} 
	static function getCustomizeItemid()
	{
		$lang = JFactory::getLanguage();
		$db 	= JFactory::getDBO();
		$q = "SELECT `id` FROM `#__menu` 
		WHERE `link`='index.php?option=com_myplayer&view=customize' 
		AND `type`='component'  
		AND ( language ='".$lang->getTag()."' OR language='*') 
		AND published='1'  ";
		$db->setQuery($q);
		return $db->loadResult();
	}   
	
	
	
	static function getTracks($userid,$playlistid,$limit)  
	{// for plugins
		$db = JFactory::getDBO();
		$q = "SELECT mt.* , mtp.ordering
		FROM #__myplayer_tracks mt ";
		if($playlistid>0)
			$q .= " JOIN #__myplayer_tracksplaylists mtp ON mtp.track_id = mt.id AND mtp.playlist_id = '".$playlistid."' ";
		else
			$q .= "LEFT JOIN #__myplayer_tracksplaylists mtp ON mtp.track_id = mt.id AND mtp.playlist_id = '".$playlistid."' ";
		
		$q .= "WHERE mt.state='1' AND mt.created_by='".$userid."' ";
		if($playlistid>0)
			$q .= "	ORDER BY mtp.ordering DESC" ;
		else
			$q .= "	ORDER BY mt.id DESC" ;
		if($limit>0)
			$q .= " LIMIT ".$limit ;
		$db->setQuery($q);
		$tracks = $db->loadObjectlist();
		return $tracks;
	}
	
	static function getCustomize($userid , $playlistid)
	{
		$db = JFactory::getDBO();
		$q ="SELECT * FROM #__myplayer_customize 
		WHERE created_by='".$userid."' 
		AND playlist_id='".$playlistid."' ";
		$db->setQuery($q);
		return $db->loadObject();
	}
	static function getThisPlaylist($playlistid)
	{
		$app = JFactory::getApplication();
		$db = JFactory::getDBO();
		if($playlistid)
		{
			$q ="SELECT * FROM #__myplayer_playlists 
			WHERE id='".$playlistid."' ";
			$db->setQuery($q);
			$playlist =  $db->loadObject();
			return $playlist;
		}
	}
	static function get_string_between($string, $start, $end)
	{
		$string = " ".$string;
		$ini = strpos($string,$start);
		if ($ini == 0) return "";
		$ini += strlen($start);
		$len = strpos($string,$end,$ini) - $ini;
		return substr($string,$ini,$len);
	}
	static function getPlaylists($userid)
	{
		$app 	= JFactory::getApplication();
		$view	= $app->input->get('view');
		$user 	= JFactory::getUser();
		$db 	= JFactory::getDBO();
		$cparams 		= JComponentHelper::getParams('com_myplayer');
		$profileman 	= $cparams->get('profileman', '0');
		$isfriend = MyplayerFrontendHelper::isfriend($userid);
		
		$q = "SELECT id, title, privacy 
		FROM #__myplayer_playlists 
		WHERE created_by = '".$userid."' AND created_by>0
		AND ";
		if($user->id == 0 ) // guests show only public playlists
			$q .= " privacy = '0' ";
		elseif($userid == $user->id) // owner: show all playlists
			$q .= " privacy <= 40 ";
		elseif($profileman!='0' && $isfriend ) // friends
			$q .= " privacy <= 30 ";
		elseif($user->id >0 ) // registered users
			$q .= " privacy <= 20 ";
		if(in_array($view ,array( 'player','profile','userprofile','apps') ) ) //player views
			$q .= " AND state='1' ";
		$q .= " ORDER BY ordering ASC";
		$db->setQuery($q);
		$playlists = $db->loadObjectList();
		//var_dump($playlists);
		return $playlists;
	}
	
	static function isfriend($userid)
	{
		$cparams 		= JComponentHelper::getParams('com_myplayer');
		$profileman 	= $cparams->get('profileman', '0');
		$isfriend = 0;
		if($profileman =='es')
		{
			require_once JPATH_ADMINISTRATOR . '/components/com_easysocial/includes/foundry.php' ;
			$my     = Foundry::user();
			$isfriend = $my->isFriends( $userid );
		}
		if($profileman =='js')
		{
			$db = JFactory::getDBO();
			$user = JFactory::getUser();
			$q= "SELECT count(*) FROM `#__community_connection`  ";
			$q .=" WHERE (
			(connect_from=".$userid." AND connect_to=".$user->id.")
			OR 
			(connect_from=".$userid." AND connect_to=".$userid.")";
			$q .=" )
			AND status=1 ";
			$db->setQuery($q);
			$isfriend = $db->loadResult() ;
		}
		if($profileman =='cb')
		{
			$db = JFactory::getDBO();
			$user = JFactory::getUser();
			$q = "SELECT count(*) FROM `#__comprofiler_members`  ";
			$q .=" WHERE ( 
			(referenceid=".$userid." AND memberid=".$user->id.") 
			OR 
			(referenceid=".$user->id." AND memberid=".$userid.") )" ;
			$q .=" AND accepted=1 ";
			$db->setQuery($q);
			$isfriend = $db->loadResult();
		}
		
		return $isfriend;
	}
	
	static function getFirstPlaylist($userid)
	{
		$user 	= JFactory::getUser();
		$db 	= JFactory::getDBO();
		$app 	= JFactory::getApplication();
		$view	= $app->input->get('view');

		$cparams 		= JComponentHelper::getParams('com_myplayer');
		$profileman 	= $cparams->get('profileman', '0');
		
		$isfriend = MyplayerFrontendHelper::isfriend($userid);
		
		$q = "SELECT id 
		FROM #__myplayer_playlists 
		WHERE state='1' AND ordering = 
			(SELECT MIN(ordering) FROM #__myplayer_playlists WHERE state='1' AND created_by='".$userid."' )
		AND created_by='".$userid."' AND created_by>0 
		AND ";
		
		if($user->id == 0 ) // guests show only public playlists
			$q .= " privacy = '0' ";
		elseif($userid == $user->id) // owner: show all playlists
			$q .= " privacy <= 40 ";
		elseif($profileman!='0' && ( $isfriend OR $userid == $user->id ) ) // friends
			$q .= " privacy <= 30 ";
		elseif($user->id >0 ) // registered users
			$q .= " privacy <= 20 ";
		if($app->input->get('view')=='player')
			$q .= " AND state='1' ";
		$db->setQuery($q);
		$firstplaylist = $db->loadResult();
		return $firstplaylist;
	}
	
	static function getIsDefaultAllowed($userid)
	{
		$cparams 			= JComponentHelper::getParams('com_myplayer');
		$default_privacy 	= $cparams->get('default_privacy', '0');
		$user 				= JFactory::getUser();
		if($default_privacy=='0')
			return 1;
		elseif($default_privacy=='40' && $userid == $user->id )
			return 1;
		elseif($default_privacy=='30')
		{
			$isfriend = MyplayerFrontendHelper::isfriend($userid);
			if($isfriend OR $userid == $user->id)
				return 1;
		}
		elseif($default_privacy=='20')
		{
			if($user->id>0)
				return 1;	
		}
		else
			return 0;
	}
	static function getIsPlaylistAllowed($userid ,  $privacy)
	{
		$user = JFactory::getUser();
		if($privacy=='0')
			return 1;
		elseif($privacy=='40' && $userid == $user->id )
			return 1;
		elseif($privacy=='30')
		{
			$isfriend = MyplayerFrontendHelper::isfriend($userid);
			if($isfriend OR $userid == $user->id)
					return 1;
		}
		elseif($privacy=='20')
		{
			if($user->id>0)
				return 1;	
		}
		else
			return 0;
	}
}