<?php
/**
 * @version     1.0.0
 * @package     com_myplayer
 * @copyright   Copyright (C) Nordmograph 2016. All rights reserved.
 * @license     GNU General Public License version 3 ; See LICENSE.txt
 * @author      Nordmograph <contact@nordmograph.com> - http://www.nordmograph.com/extensions
 */

defined('JPATH_BASE') or die;

jimport('joomla.form.formfield');

/**
 * Supports an HTML select list of categories
 */
class JFormFieldCustomid extends JFormField
{
	/**
	 * The form field type.
	 *
	 * @var		string
	 * @since	1.6
	 */
	protected $type = 'customid';

	/**
	 * Method to get the field input markup.
	 *
	 * @return	string	The field input markup.
	 * @since	1.6
	 */
	protected function getInput()
	{
		$cparams 		= JComponentHelper::getParams('com_myplayer');
		$profileman 	= $cparams->get('profileman', '0');
		$user = JFactory::getUser();
		$db = JFactory::getDBO();
		$app = JFactory::getApplication();
		$latest 	= $app->input->getInt('latest');
		
		if($latest)
			$playlistid = '0';
		else
			$playlistid = $app->input->getInt('playlistid');
		if(!$playlistid && !$latest)
		{
			require_once JPATH_BASE.'/components/com_myplayer/helpers/myplayer.php' ;
			$playlistid = MyplayerFrontendHelper::getFirstPlaylist($user->id );
		}
		$q = "SELECT id FROM #__myplayer_customize 
		WHERE playlist_id ='".$playlistid."' AND created_by='".$user->id."'";
		$db->setQuery($q);
		$id = $db->loadResult();
		$html = '';
        $html .= '<input name="'.$this->name.'" value="'.$id.'" type="hidden" >';
        
		return $html;
	}
}