<?php
/**
 * @version     1.0.0
 * @package     com_myplayer
 * @copyright   Copyright (C) Nordmograph 2016. All rights reserved.
 * @license     GNU General Public License version 3 ; See LICENSE.txt
 * @author      Nordmograph <contact@nordmograph.com> - http://www.nordmograph.com/extensions
 */

defined('JPATH_BASE') or die;

jimport('joomla.form.formfield');

/**
 * Supports an HTML select list of categories
 */
class JFormFieldOpacity extends JFormField
{
	/**
	 * The form field type.
	 *
	 * @var		string
	 * @since	1.6
	 */
	protected $type = 'opacity';

	/**
	 * Method to get the field input markup.
	 *
	 * @return	string	The field input markup.
	 * @since	1.6
	 */
	protected function getInput()
	{
		// Initialize variables.
		$html = array();
        
        $doc = JFactory::getDocument();
		$doc->addScript('//ajax.googleapis.com/ajax/libs/jqueryui/1.11.4/jquery-ui.min.js');
		$doc->addStylesheet('//ajax.googleapis.com/ajax/libs/jqueryui/1.11.4/themes/smoothness/jquery-ui.css');
		$doc->addScriptDeclaration('jQuery(function() {
			jQuery("#slider")[0].slide = null;
				jQuery( "#slider" ).slider(
				{min:0,
				max:1,
				step:0.01,
				value:'.$this->value.'}
				);
				jQuery( "#slider" ).on( "slidechange", function( event, ui ) {
					var newValue = jQuery(this).slider("option", "value");
				if (newValue){
					jQuery(\' .sm2-main-controls, .sm2-playlist-drawer\').css({ "opacity": newValue});
					jQuery(\' .myp-custom-slider\').val( newValue );
				
				}
				});
			  });');
  
		
        $html[] = '<div id="slider"></div>
		<input type="hidden" name="'.$this->name.'" value="'.$this->value.'" class="myp-custom-slider" />';
        
		return implode($html);
	}
}