<?php
/**
 * @version     1.0.0
 * @package     com_myplayer
 * @copyright   Copyright (C) Nordmograph 2016. All rights reserved.
 * @license     GNU General Public License version 3 ; See LICENSE.txt
 * @author      Nordmograph <contact@nordmograph.com> - http://www.nordmograph.com/extensions
 */

defined('JPATH_BASE') or die;

jimport('joomla.form.formfield');

/**
 * Supports an HTML select list of categories
 */
class JFormFieldTexture extends JFormField
{

	protected $type = 'texture';
	protected function getLabel()
	{
		return JText::_('COM_MYPLAYER_FORM_LBL_CUSTOM_TEXTURE');
		
	}

	protected function getInput()
	{
		jimport('joomla.filesystem.folder');
		$juri = JURI::base();
		$doc = JFactory::getDocument();
		$path = JPATH_COMPONENT.'/assets/soundmanager/bar-ui/image/patterns/';
		$full_path = $juri.'components/com_myplayer/assets/soundmanager/bar-ui/image/patterns/';
		$files = JFolder::files($path, $filter = '.', $recurse = false, $fullpath= false , $exclude = array ('html') );
		
		$doc->addScriptDeclaration('jQuery(window).load(function(){
				jQuery(".textures-container div").click( function(){
					jQuery("#texture-field").val( jQuery(this).data("texture") );
					var newValue = jQuery(this).data("texture");
					if( newValue.indexOf(".png")>-1 )
					{
						var fullUrl = "'.$juri.'components/com_myplayer/assets/soundmanager/bar-ui/image/patterns/" +newValue;
						jQuery(\' .sm2-bar-ui ,.sm2-inline-texture\').css({ "background-image": "url("+fullUrl+")" });
					}
					else if( newValue.indexOf("#")>-1  || newValue=="transparent")
					{
						jQuery(\' .sm2-bar-ui ,.sm2-inline-texture\').css({ "background": newValue});
					}
				
				});
			});');
				
				
		$html = '<div class="textures-container" >';
      	$html .= '<div data-texture="transparent" style="background: transparent;text-align:center;color:#ddd" class="myp-cust-texture" >alpha</div>';
		$html .= '<div data-texture="#fff" style="background:#fff" class="myp-cust-texture" ></div>';
		$html .= '<div data-texture="#666" style="background:#666" class="myp-cust-texture" ></div>';
		$html .= '<div data-texture="#000" style="background:#000" class="myp-cust-texture" ></div>';
		for ($i=0;$i<count($files) ; $i++)
		{
			$html .= '<div data-texture="'.$files[$i].'" style="background: url('.$full_path.$files[$i].')" class="myp-cust-texture" >
			</div>';
		}
		$html .= '</div>
		<input id="texture-field" type="hidden" name="'.$this->name.'" value="'.$this->value.'" />';
        
		return $html;
	}
}