<?php
/**
 * @version     1.0.0
 * @package     com_myplayer
 * @copyright   Copyright (C) Nordmograph 2016. All rights reserved.
 * @license     GNU General Public License version 3 ; See LICENSE.txt
 * @author      Nordmograph <contact@nordmograph.com> - http://www.nordmograph.com/extensions
 */
defined('_JEXEC') or die;
function MyplayerBuildRoute(&$query) {
    $segments = array();
    if (isset($query['task'])) {
        $segments[] = implode('/', explode('.', $query['task']));
        unset($query['task']);
    }
    if (isset($query['view'])) {
        $segments[] = $query['view'];
        unset($query['view']);
    }
    if (isset($query['id'])) {
        $segments[] = $query['id'];
        unset($query['id']);
    }
	if(isset($query['userid']))
	{			
		$segments[] = JFactory::getUser($query['userid'])->username;		
		unset($query['userid']);
	}
	if (isset($query['playlistid'])) {
		if (isset($query['latest'])) {
			$segments[] = JFilterOutput::stringURLSafe( JText::_('COM_MYPLAYER_PLAYLIST_LATESTTRACKS') );
			unset($query['latest']);
			unset($query['playlistid']);
		}
		else
		{
			$db = JFactory::getDBO();
			$q ="SELECT title FROM #__myplayer_playlists WHERE id='".$query['playlistid']."' ";
			$db->setQUery($q);
			$segments[] = JFilterOutput::stringURLSafe( $db->loadResult());
        	unset($query['playlistid']);
		} 
    }
    return $segments;
}
function MyplayerParseRoute($segments)
{
	//$app	= JFactory::getApplication();
	//$app->enqueueMessage( var_dump($segments) );
	$lang	= JFactory::getLanguage();
	$lang->load('com_myplayer', JPATH_SITE ,  $lang->getTag() , $reload=false);
    $vars = array();
	
	
	if($segments[0] == 'player' )
	{
		$vars['view'] = $segments[0];
		$username = $segments[1];
		$db = JFactory::getDBO();	
		$q = "SELECT id FROM #__users WHERE username='".$username."'";
		$db->setQuery($q);
		$vars['userid'] = $db->loadResult();
		if(str_replace(':','-', @$segments[2])== JFilterOutput::stringURLSafe( JText::_('COM_MYPLAYER_PLAYLIST_LATESTTRACKS') ) )
		{
			 $vars['playlistid'] = '0';
			 $vars['latest'] = '1';
		}
		else
		{
			$q = "SELECT id FROM #__myplayer_playlists 
			WHERE alias='".str_replace(':','-', $segments[2]) ."' ";
			$db->setQuery($q);	
			$vars['playlistid'] = $db->loadResult();
			$vars['latest'] = 0;
		}
	}
	
	elseif($segments[0] == 'tracks'  OR $segments[0] == 'customize' )
	{
		$vars['view'] = $segments[0];
		if(str_replace(':','-', @$segments[1])== JFilterOutput::stringURLSafe( JText::_('COM_MYPLAYER_PLAYLIST_LATESTTRACKS') ) 
			OR !isset($segments[1]))
		{
			 $vars['playlistid'] = '0';
			 $vars['latest'] = '1';
		}
		else
		{
			$db = JFactory::getDBO();	
			$q = "SELECT id FROM #__myplayer_playlists 
					WHERE alias='".str_replace(':','-', @$segments[1])."' ";
			$db->setQuery($q);	
			$vars['playlistid'] = $db->loadResult();
			$vars['latest'] = 0;
		}
	}
	
	elseif($segments[0] == 'trackform' 
		OR ($segments[0]== 'playlistform' && $segments[1]!= 'remove') )
	{
		$vars['view'] = $segments[0] ;
		$vars['id'] = @$segments[2];
	}
	
	elseif(
	$segments[0].'.'.@$segments[1] == 'track.publish' 
	OR $segments[0].'.'.@$segments[1] == 'track.remove'
	OR $segments[0].'.'.@$segments[1] == 'playlist.publish'
	)
	{
		$vars['task'] = $segments[0].'.'.$segments[1] ;
		$vars['id'] = @$segments[2];
		$vars['state'] = @$segments[3];
		
	}
	
	
	elseif(
	 $segments[0].'.'.@$segments[1] == 'playlistform.remove' 
	)
	{
		$vars['task'] = $segments[0].'.'.$segments[1] ;
		$vars['id'] = @$segments[2];
		$vars['state'] = @$segments[3];
		//$app->enqueueMessage( var_dump($vars) );
	}
	
	elseif($segments[0] == 'playlists')
	{
		$vars['view'] = $segments[0];	
	}
	//$app->enqueueMessage( var_dump($vars) );
    return $vars;
}