<?php

/**
 * @version     1.0.0
 * @package     com_myplayer
 * @copyright   Copyright (C) Nordmograph 2016. All rights reserved.
 * @license     GNU General Public License version 3 ; See LICENSE.txt
 * @author      Nordmograph <contact@nordmograph.com> - http://www.nordmograph.com/extensions
 */
// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * View to edit
 */
class MyplayerViewCustomize extends JViewLegacy {

    protected $state;
    protected $item;
    protected $form;
    protected $params;
	protected $track;

    /**
     * Display the view
     */
    public function display($tpl = null)
	{
		JHtml::_('jquery.framework');
		
		$app = JFactory::getApplication();
		
       	$cparams 			= JComponentHelper::getParams('com_myplayer');
		$enable_customize 			= $cparams->get('enable_customize',1);
		
		
		if(!$enable_customize)
		{
			$app->enqueueMessage('Custom players feature is disabled','warning');
			return false;	
		}
		
		$user = JFactory::getUser();
		if($user->id)
		{
			$d=JFactory::getDocument();
			$d->addScript(JURI::base().'components/com_myplayer/assets/js/ays/jquery.are-you-sure.js');
			$s="jQuery(function(){jQuery('form').areYouSure({'message':'".JText::_('COM_MYPLAYER_AYS_NOTFINISHED')."'});})";	
			$d->addScriptDeclaration($s);
		}
		$juri = JURI::base();
        $this->state = $this->get('State');
        $this->item = $this->get('Data');
		
        $this->params = $app->getParams('com_myplayer');
        $this->form		= $this->get('Form');
		
		$playlistid = $app->input->getInt('playlistid');
		$latest = $app->input->getInt('latest');
		
		require_once JPATH_BASE.'/components/com_myplayer/helpers/myplayer.php' ;
		if(!$playlistid && !$latest)
			$this->playlistid = MyplayerFrontendHelper::getFirstPlaylist($user->id );
		else
			$this->playlistid = $playlistid;
		if(!$this->playlistid )
		{
			$this->playlistid = '0';
			$this->latest = '1';	
		}
		else
			$this->latest = 0;
		
		
		$this->playlist 			= MyplayerFrontendHelper::getThisPlaylist( $this->playlistid );
		$this->playlists 			= MyplayerFrontendHelper::getPlaylists( $user->id  );
		$this->customize_Itemid 	= MyplayerFrontendHelper::getCustomizeItemid();

		$this->customize = MyplayerFrontendHelper::getCustomize( $user->id , $this->playlistid);
		if($this->customize)
		{
			$this->attributes= $this->customize->attributes;
		}
		else
			$this->attributes='';
		
		

        // Check for errors.
        if (count($errors = $this->get('Errors'))) {
            throw new Exception(implode("\n", $errors));
        }
		
        $this->_prepareDocument();

	if (!empty($this->customize))
	{
		$opacity=1;
		$this->color = trim($this->get_string_between($this->customize->css , 'color:',';'));
		$fullcolors = trim($this->get_string_between($this->customize->css , 'rgba(',')'));
		$colors = explode(',',$fullcolors);
		$this->opacity = trim(end($colors));
		$this->texture = trim($this->get_string_between($this->customize->css , 'ground:',';'));
		if($colors)
		{
			echo '<style>.sm2-bar-ui .sm2-main-controls,
			.sm2-bar-ui .sm2-playlist-drawer {
			 background-color: '.$this->color.'; 
			 background-color: rgba('.$fullcolors.');
			 opacity:'.$this->opacity.';
			}</style>';
		}
		else
		{
			echo '<style>.sm2-bar-ui .sm2-main-controls,
			.sm2-bar-ui .sm2-playlist-drawer {
			 background-color: '.$this->color.';
			}</style>';
		}
		if(strpos($this->texture,'.png')!==false)
		{
			$texture_css = 'url('.$juri.
			'components/com_myplayer/assets/soundmanager/bar-ui/image/patterns/'.$this->texture.')';
		}
		else
			$texture_css =$this->texture;
		echo '<style>.sm2-bar-ui .sm2-inline-texture {background:'.$texture_css.'}</style>';
		
		$textlight='';
		$flat='';
		if(strpos($this->customize->attributes , 'dark-text')!==false)
			$textlight='dark-text';
		if(strpos($this->customize->attributes , 'flat')!==false)
			$flat='flat';
			
		$data = array( 
				'id' 		=> $this->customize->id ,
				'playlist_id'	=> $this->customize->playlist_id ,
				'color'			=> $this->color,
				'opacity'		=> $this->opacity,
				'texture'    	=> $this->texture ,
				'textlight'     => $textlight ,
				'flat'     		=> $flat ,
				'player_height' => $this->customize->player_height ,
				'created_by'   	=> $this->customize->created_by 
				);		
		$this->form->bind($data);
				
		}
				
				
        parent::display($tpl);
    }
	
	public function get_string_between($string, $start, $end){
		$string = " ".$string;
		$ini = strpos($string,$start);
		if ($ini == 0) return "";
		$ini += strlen($start);
		$len = strpos($string,$end,$ini) - $ini;
		return substr($string,$ini,$len);
	}
	
	


    /**
     * Prepares the document
     */
    protected function _prepareDocument() {
        $app = JFactory::getApplication();
        $menus = $app->getMenu();
        $title = null;

        // Because the application sets a default page title,
        // we need to get it from the menu item itself
        $menu = $menus->getActive();
        if ($menu) {
            $this->params->def('page_heading', $this->params->get('page_title', $menu->title));
        } else {
            $this->params->def('page_heading', JText::_('COM_MYPLAYER_DEFAULT_PAGE_TITLE'));
        }
        $title = $this->params->get('page_title', '');
        if (empty($title)) {
            $title = $app->getCfg('sitename');
        } elseif ($app->getCfg('sitename_pagetitles', 0) == 1) {
            $title = JText::sprintf('JPAGETITLE', $app->getCfg('sitename'), $title);
        } elseif ($app->getCfg('sitename_pagetitles', 0) == 2) {
            $title = JText::sprintf('JPAGETITLE', $title, $app->getCfg('sitename'));
        }
        $this->document->setTitle($title);

        if ($this->params->get('menu-meta_description')) {
            $this->document->setDescription($this->params->get('menu-meta_description'));
        }

        if ($this->params->get('menu-meta_keywords')) {
            $this->document->setMetadata('keywords', $this->params->get('menu-meta_keywords'));
        }

        if ($this->params->get('robots')) {
            $this->document->setMetadata('robots', $this->params->get('robots'));
        }
    }

}
