<?php
/**
 * @version     1.0.0
 * @package     com_myplayer
 * @copyright   Copyright (C) Nordmograph 2016. All rights reserved.
 * @license     GNU General Public License version 3 ; See LICENSE.txt
 * @author      Nordmograph <contact@nordmograph.com> - http://www.nordmograph.com/extensions
 */
// no direct access
defined('_JEXEC') or die;

$html 	= '';
$attributes = '';
$texture_css ='';
$juri 	= JURI::Base();
$uri 	= JFactory::getURI();
$user	= JFactory::getUser();
$canCreate = $user->authorise('core.create', 'com_myplayer');
$canEdit = $user->authorise('core.edit', 'com_myplayer');

$app	= JFactory::getApplication();
$doc 	= JFactory::getDocument();
$doc->addStylesheet($juri.'components/com_myplayer/assets/soundmanager/bar-ui/css/bar-ui.css');
$doc->addScript($juri.'components/com_myplayer/assets/soundmanager/soundmanager2-jsmin.js');
$doc->addScript($juri.'components/com_myplayer/assets/soundmanager/bar-ui/script/bar-ui.js');
$poped	= $app->input->getInt('poped');
$embed	= $app->input->getInt('embed');
$tmpl 	= $app->input->get('tmpl');	
$qr 	= $app->input->getInt('qr');

$userid 	= $app->input->getInt('userid');
//$playlistid = $app->input->getInt('playlistid');
$latest = $app->input->getInt('latest');

if($latest)
	$playlistid ='0';
else
	$playlistid = $this->playlistid;
			
if(!$userid)
	$userid = $user->id;
	
			




if($userid)
{	
	if($this->playlistid && !$latest)
	{
		$page_title = sprintf(JText::_('COM_MYPLAYER_PLAYLISTPLAYERPAGETITLE'),
		JFactory::getUser($userid)->username , $this->playlist->title);
	}
	else
		$page_title = sprintf(JText::_('COM_MYPLAYER_PLAYERPAGETITLE'),JFactory::getUser($userid)->username);
	if($tmpl =='component')
	{
		echo '<style>body {padding:0 !important}</style>';	
	}
	else
	{
		$html .= '<h1><img src="'.$juri.'components/com_myplayer/assets/img/logo64.png" 
		width="28" heigh="28" alt="logo" /> '.$page_title.'</h1>';
	}
}
else
	$page_title = JText::_('COM_MYPLAYER_TEASER') ;
$doc->setTitle( ucfirst($page_title));



$uri 	 = JFactory::getURI();
$url = 'index.php?option=com_myplayer&view=player&userid='.$userid;
$url .= '&playlistid='.$playlistid;
if($latest)
	$url .= '&latest=1';
$url .= '&Itemid='.$this->player_Itemid;

$share_url = $uri->getScheme().'://'.$uri->getHost().JRoute::_( $url , false);
			


$cparams 				= JComponentHelper::getParams('com_myplayer');
$profileman 			= $cparams->get('profileman', '0');
$soundcloud_client_id 	= $cparams->get('soundcloud_client_id');
$enable_podcast 		= $cparams->get('enable_podcast', 1);
$enable_popup 			= $cparams->get('enable_popup', 1);
$popup_width 		= $cparams->get('popup_width', '510');
$popup_height 	= $cparams->get('popup_height', '215');
$enable_embed 	= $cparams->get('enable_embed', 1);
$enable_qrcode 	= $cparams->get('enable_qrcode', 1);
$enable_share 	= $cparams->get('enable_share', 1);
$appid			= $cparams->get('appid');
$fb_width		= $cparams->get('fb_width', '150');
$fb_layout		= $cparams->get('fb_layout', 'button_count');
$fb_colorscheme	= $cparams->get('fb_colorscheme', 'light');
$friends_faces	= $cparams->get('friends_faces', 'false');
$include_share	= $cparams->get('include_share', 'true');
$include_send	= $cparams->get('include_send', true);
$facebookcomments 	= $cparams->get('facebookcomments',1);
$fbcomments_width	= $cparams->get('fbcomments_width','700');
$numposts			= $cparams->get('numposts','5');
$default_privacy	= $cparams->get('default_privacy','0');
$default_playerheight	= $cparams->get('default_playerheight','188');
$max_playerheight	= $cparams->get('max_playerheight','700');
$min_playerheight	= '42' ;




$player_height = $default_playerheight;
if( !$poped && $this->player_height)
	$player_height = $this->player_height;
if(!$poped && $player_height>$max_playerheight)
	$player_height = $max_playerheight;
if($player_height<$min_playerheight)
	$player_height = $min_playerheight;


$html .= '<div id="myp-container">';	

$profile_url = $uri->getScheme().'://'.$uri->getHost();
if($profileman=='0')
	$url = 'index.php?option=com_myplayer&view=player&userid='.$userid;
elseif($profileman=='cb')
	$url =  'index.php?option=com_comprofiler&task=userProfile&user='.$userid ;
elseif($profileman=='js')
	$url =  'index.php?option=com_community&view=profile&userid='.$userid ;
elseif($profileman=='es')
	$url='index.php?option=com_easysocial&view=profile&id='.$userid.':'.JFactory::getUser($userid)->username  ;
if($playlistid)
	$url .='&playlistid='.$playlistid;
if($latest)
	$url .='&latest=1';
$profile_url =  $uri->getScheme().'://'.$uri->getHost().JRoute::_( $url , true);



$tracks = '';
if(count($this->items))
{
			foreach($this->items as $track)
			{
				if($track->file)
					$track_url = $juri.'media/com_myplayer/tracks/'.$track->created_by.'/'.$track->file;
				elseif($track->file_url)
				{
					$track_url = $track->file_url;
					if($soundcloud_client_id && strpos($track_url,'soundcloud')!==false )
						$track_url = $track_url.'?client_id='.$soundcloud_client_id;
				}
				if($track->cover)
					$cover_url = $juri.'media/com_myplayer/covers/'.$track->created_by.'/'.$track->cover;
				
				$tracks .= '<li>';
				$tracks .='<a type="audio/mp3" href="'.$track_url.'">'.sprintf(JText::_('COM_MYPLAYER_TITLEBYARTIST'),$track->title,$track->artist);
				if($track->duration)
					$tracks .= '<span class="label" >'.$track->duration.'</span>';
				if($track->cover)
					$tracks .= '<div class="myp-trackcover" ><img src="'.$cover_url.'" alt="cover" width="28" height="28" /></div>';
				$tracks .= '</a>';
				$tracks .= '</li>'		;
			}
}
else
	$tracks .= '<li>'.JText::_('COM_MYPLAYER_NOTRACKYET'). '</li>';



if( count($this->playlists)+ $this->isdefaultallowed >1 && !$embed && !$poped)
{
	$script = "jQuery(document).ready( function() {
				jQuery('#playlist-selector').change(function() {
	  			window.location = jQuery(this).val();
			});});";
	$doc->addScriptDeclaration($script);
	$latesttracks_url = JRoute::_('index.php?option=com_myplayer&view=player&userid='
	.$userid.'&playlistid=0&latest=1&Itemid='.$this->player_Itemid);
	$html .= '<i class="myp-icon-playlist"></i> ';
	$html .= '<select id="playlist-selector" name="playlist-selector" >';
	foreach($this->playlists as $playlist)
	{
		$redir_url = JRoute::_('index.php?option=com_myplayer&view=player&userid='
		.$userid.'&playlistid='.$playlist->id.'&Itemid='.$this->player_Itemid) ;
		$html .= '<option value="'.$redir_url.'" ';
		if($playlist->id == $this->playlistid && !$latest)
			$html .= ' selected="selected" ';
		$html .= '>'.$playlist->title.'</option>';
	}
	if($this->isdefaultallowed)
	{
		$html .= '<option value="'.$latesttracks_url.'" ';
		if($latest)
			$html .=' selected="selected" ';
		$html .= '>'.sprintf(JText::_('COM_MYPLAYER_PLAYLIST_LATESTTRACKS'),
		 JFactory::getUser($userid)->username).'</option>';
	}
	$html .= '</select>';
}

	
		
if($userid == $user->id && $user->id>0 && $tmpl!='component')
{
	

	$html .='<a name="myplayer"></a><div class="myp-controls btn-group">
	<a class="btn btn-success btn-mini hasTooltip" title="'.JText::_('COM_MYPLAYER_ADD_ITEM').'" 
	href="'.JRoute::_('index.php?option=com_myplayer&view=trackform&Itemid='.$this->trackform_Itemid).'">
	<i class="myp-icon-upload"></i></a>
			
	<a class="btn btn-default btn-mini hasTooltip" title="'.JText::_('COM_MYPLAYER_MANAGEPLAYLIST').'" 
	href="'.JRoute::_('index.php?option=com_myplayer&view=tracks&playlistid='.$playlistid.'&Itemid='.$this->tracks_Itemid).'">
	<i class="myp-icon-list"></i></a>
	
	<a class="btn btn-default btn-mini hasTooltip" title="'.JText::_('COM_MYPLAYER_MANAGEPLAYLISTS').'" 
	href="'.JRoute::_('index.php?option=com_myplayer&view=playlists&Itemid='.$this->playlists_Itemid).'">
	<i class="myp-icon-playlist"></i></a>';
	
	
	$custom_url = 'index.php?option=com_myplayer&view=customize&playlistid='.$playlistid;
	if($playlistid=='0')
		$custom_url .= '&latest=1';
	$custom_url .= '&Itemid='.$this->customize_Itemid;	
	$html .= '<a class="btn btn-default btn-mini hasTooltip" title="'.JText::_('COM_MYPLAYER_CUSTOMIZEPLAYER').'" 
	href="'.JRoute::_($custom_url ).'"><i class="myp-icon-droplet">
	</i></a>
	</div>
	<div class="clear"></div>';		
}
if($user->id)
{
	$attributes = $this->attributes;
	$texture_css = $this->texture_css;
}
if( !$poped && !$embed && $playlistid>0)
	$html .= '<div>'.$this->playlist->description.'</div>';
	
$html .= '<div class="sm2-bar-ui full-width textured playlist-open '.$attributes.'" style="max-height:'.$player_height.'px">
				<div class="bd sm2-main-controls">
  					<div class="sm2-inline-texture" style="background: '.$texture_css.'" ></div>
  					<div class="sm2-inline-gradient"></div>

  					<div class="sm2-inline-element sm2-button-element">
   					<div class="sm2-button-bd">
						<a href="#play" type="audio/mp3" class="sm2-inline-button play-pause">Play / pause</a>
					</div>
  				</div>

  				<div class="sm2-inline-element sm2-inline-status">

   					<div class="sm2-playlist">
    					<div class="sm2-playlist-target">
							<ul class="sm2-playlist-bd">'.
							$tracks

    						.'</ul>
						</div>
   					</div>
   					<div class="sm2-progress">
    					<div class="sm2-row">
    						<div class="sm2-inline-time">0:00</div>
     						<div class="sm2-progress-bd">
      							<div class="sm2-progress-track">
      								<div class="sm2-progress-bar"></div>
       								<div class="sm2-progress-ball">
										<div class="icon-overlay"></div>
									</div>
      							</div>
     						</div>
     						<div class="sm2-inline-duration">0:00</div>
    					</div>
   					</div>
  				</div>

  				<div class="sm2-inline-element sm2-button-element sm2-volume">
					<div class="sm2-button-bd">
						<span class="sm2-inline-button sm2-volume-control volume-shade"></span>
						<a href="#volume" class="sm2-inline-button sm2-volume-control">volume</a>
					</div>
				</div>
	
				<div class="sm2-inline-element sm2-button-element">
					<div class="sm2-button-bd">
						<a type="audio/mp3" href="#prev" title="Previous" class="sm2-inline-button previous" >&lt; previous</a>
				   </div>
				</div>
				<div class="sm2-inline-element sm2-button-element">
					<div class="sm2-button-bd">
						<a type="audio/mp3" href="#next" title="Next" class="sm2-inline-button next" >&gt; next</a>
					</div>
				</div>
	
				<div class="sm2-inline-element sm2-button-element sm2-menu">
					<div class="sm2-button-bd">
						<a href="#menu" class="sm2-inline-button pmenu">menu</a>
					</div>
				</div>
			</div>
			<div class="bd sm2-playlist-drawer sm2-element" style="height:'.($player_height - 42).'px">
				<div class="sm2-inline-texture">
					<div class="sm2-box-shadow"></div>
				</div>
				<!-- playlist content is mirrored here -->
	
				<div class="sm2-playlist-wrapper">
					<ul class="sm2-playlist-bd">'.
					$tracks
					.'</ul>
				</div>
			<div class="sm2-extra-controls">
				<div class="bd">
					<div class="sm2-inline-element sm2-button-element">
						<a href="#prev" title="Previous" class="sm2-inline-button previous">&lt; previous</a>
					</div>
					<div class="sm2-inline-element sm2-button-element">
						<a href="#next" title="Next" class="sm2-inline-button next">&gt; next</a>
					</div>
	
					<!-- unimplemented -->
					<!--
					<div class="sm2-inline-element sm2-button-element disabled">
						<a href="#repeat" title="Repeat playlist" class="sm2-inline-button repeat">&infin; repeat</a>
					</div>
	
					<div class="sm2-inline-element sm2-button-element disabled">
						<a href="#shuffle" title="Shuffle" class="sm2-inline-button shuffle">shuffle</a>
					</div>
					-->
	
				 </div>
			</div>
		</div>
	</div>';
		
		
		
		
		
			if(!$this->items  && $userid==$user->id  && $canCreate)
			{
				$html .='<div class="well well-small">';
				$html .='<div class="myp-notrack">
				<a class="btn btn-success btn-large" href="'.JRoute::_('index.php?option=com_myplayer&view=trackform').'"><i class="myp-icon-upload"></i> '.JText::_('COM_MYPLAYER_ADD_ITEM').'</a>
				</div>';
				$html .='</div>';
			}

	if( 
		($playlistid>0 && @$this->playlist->privacy!='0') OR ( $playlistid==0 && $default_privacy!='0' ) 
	)
		{
			if($playlistid>0)
				$title = JText::_('COM_MYPLAYER_LOCKED_'.$this->playlist->privacy);
			else
				$title = JText::_('COM_MYPLAYER_LOCKED_'.$default_privacy);
			$html .='<i class="myp-icon-lock hasTooltip" title="'.$title.'"></i>';
		}

		
		
		if($appid && 
			(($playlistid>0 && @$this->playlist->privacy=='0') OR ( $playlistid==0 && $default_privacy=='0')) 
		)
			{
				$lang 		= JFactory::getLanguage();
				$langtag	= str_replace("-","_", $lang->get('tag') );
				$html .= '<div id="fb-root"></div>
						<script>(function(d, s, id) {
						  var js, fjs = d.getElementsByTagName(s)[0];
						  if (d.getElementById(id)) return;
						  js = d.createElement(s); js.id = id;
						  js.src = "//connect.facebook.net/'.$langtag.'/all.js#xfbml=1&appId='.$appid.'&version=v2.0";
						  fjs.parentNode.insertBefore(js, fjs);
						}(document, \'script\', \'facebook-jssdk\'));</script>';
				
				$html .= '<div class="fb-like" data-href="'.$share_url.'" data-width="'.$fb_width.'" data-layout="'.$fb_layout.'"  data-show-faces="'.$friends_faces.'" data-share="true"></div>';
					
			}
		
	if($userid>0)
	{
		$html .= '<div class="myp-controls" >';
		if($enable_share && !$embed && !$poped  && 
			(($playlistid>0 && @$this->playlist->privacy=='0') OR ( $playlistid==0 && $default_privacy=='0'))
		 )
		{
			$doc->addScriptDeclaration('jQuery(document).ready(function(){
				jQuery("#share-toggler").click(function(){
					jQuery("#myp-embed-container").hide();
					jQuery("#myp-share-container").toggle();
				});
				});');
			$html .= '<a href="#myplayer" class="hasTooltip" 
			title="'.JText::_('COM_MYPLAYER_SHARETOOLTIP').'"  id="share-toggler">
			<i class="myp-icon-share"></i></a>';
		}
		
		if($enable_embed && !$embed && !$poped && 
		(($playlistid>0 && @$this->playlist->privacy=='0') OR ( $playlistid==0 && $default_privacy=='0'))
		)
		{
			$doc->addScriptDeclaration('jQuery(document).ready(function(){
				jQuery("#embed-toggler").click(function(){
					jQuery("#myp-share-container").hide();
				jQuery("#myp-embed-container").toggle();});});');
			$html .= '<a href="#myplayer" class="hasTooltip" 
			title="'.JText::_('COM_MYPLAYER_EMBEDTOOLTIP').'"  	
			id="embed-toggler"><i class="myp-icon-code"></i></a>';
		}
		
		if($enable_qrcode && !$embed && !$poped && !$qr)
		{	
			JHTML::_('behavior.modal');
			$url = 'index.php?option=com_myplayer&view=player&userid='.$userid;
			if($playlistid)
				$url .= '&playlistid='.$playlistid;
			if($latest)
				$url .= '&latest=1';
			$url .= '&tmpl=component&qr=1';
			$qr_url = $uri->getScheme().'://'.$uri->getHost();
			$qr_url .= JRoute::_($url);	
			$encodedurl = urlencode($qr_url);
			$html .= '<a 
			href="//chart.googleapis.com/chart?cht=qr&chs=350x350&chld=L&choe=UTF-8&chl='.$encodedurl.'" 
			class="hasTooltip modal" rel="{handler: \'iframe\', size: {x: 350, y: 350}}"
			title="'.JText::_('COM_MYPLAYER_QRCODETOOLTIP').'"  
			><i class="myp-icon-qrcode"></i></a>';
		}
		
		
		if($enable_popup && !$poped )
		{
			$url = 'index.php?option=com_myplayer&view=player&userid='.$userid;
			if($playlistid)
				$url .= '&playlistid='.$playlistid;
			if($latest)
				$url .= '&latest=1';
			$url .= '&tmpl=component&poped=1';
			$popurl=JRoute::_($url);
			$doc->addScriptDeclaration('function popitup(url) {
				newwindow=window.open(url,\''.$page_title.'\',\'height='.$popup_height.',width='.$popup_width.'\');
				if (window.focus) {newwindow.focus()}
				return false;}');
			$html .= '<a onclick="return popitup(\''.$popurl.'\')" class="hasTooltip" title="'.JText::_('COM_MYPLAYER_POPUPIZE').'" href="'.$popurl.'"><i class="myp-icon-popup"></i></a>';
		}
		
		if($poped)
		{
			$html .= '<a target="_blank" class="hasTooltip" 
			title="'.JText::_('COM_MYPLAYER_VISITPROFILEPLAYER').'" 
			href="'.$profile_url.'"><i class="myp-icon-user"></i></a>';
		}
		if($enable_podcast && 
		(($playlistid>0 && @$this->playlist->privacy=='0') OR ( $playlistid==0 && $default_privacy=='0'))
		 )
		{
			$url = 'index.php?option=com_myplayer&view=player&userid='.$userid;
			if($playlistid)
				$url .= '&playlistid='.$playlistid;
			if($latest)
				$url .= '&playlistid=0&latest=1';
			$url .= '&format=feed';
			$html .= '<a target="_blank" class="hasTooltip" 
			title="'.JText::_('COM_MYPLAYER_PODCASTFEED').'" 
			href="'.JRoute::_($url).'"><i class="myp-icon-rss-squared"></i></a>';
		}
		$html .= '</div>
		<div class="clear"></div>';
	}
		
		
		if($enable_embed && !$embed && !$poped && 
		(($playlistid>0 && @$this->playlist->privacy=='0') OR ( $playlistid==0 && $default_privacy=='0'))
		 )
		{
			$url='index.php?option=com_myplayer&view=player&userid='.$userid;
			if($playlistid)
				$url .= '&playlistid='.$playlistid;
			if($latest)
				$url .= '&latest=1';
			$url .= '&tmpl=component&embed=1' ;
			
			$embed_url = $uri->getScheme().'://'.$uri->getHost()
			.JRoute::_( $url, false);
			$embed_code = '<iframe src="'.$embed_url.'" width="300" height="400"></iframe>';
			$html .= '<div id="myp-embed-container">';
			$html .= '<i class="myp-icon-code"></i> '.JText::_('COM_MYPLAYER_EMBEDNOTICE');
			$html .=  '<pre><code>'.htmlspecialchars($embed_code).'</code></pre>
			</div>';
		}
		
		
		if($enable_share && !$embed && !$poped && 
		(($playlistid>0 && @$this->playlist->privacy=='0') OR ( $playlistid==0 && $default_privacy=='0' ))
		 )
		{
			$html .= '<div id="myp-share-container">';
			$html .= '<i class="myp-icon-share"></i> '.JText::_('COM_MYPLAYER_SHARENOTICE');
			$html .=  '<pre><code>'.htmlspecialchars($share_url).'</code></pre>';
			$html .= '</div>';
		}
		
		
		if($facebookcomments && $appid && !$embed && !$poped && 
		(($playlistid>0 && @$this->playlist->privacy=='0') OR ( $playlistid==0 && $default_privacy=='0' ))
		)
		{
			$scroll = "function scrollToAnchor(aid){
				    var aTag = jQuery(\"a[name='\"+ aid +\"']\");
				    jQuery('html,body').animate({scrollTop: aTag.offset().top},'slow');
				}";
			$doc->addScriptDeclaration($scroll);
			$html .= '<div class="fb-comments" data-href="'.$share_url.'" 
			data-numposts="5" data-width="'.$fbcomments_width.'" 
			data-colorscheme="'.$fb_colorscheme.'"></div>';
		}
			
		
		echo $html;
		
		if(!$embed && !$poped)
		{
			if($appid)
				$doc->addCustomTag('<meta property="fb:app_id" content="'.$appid.'"/>');
			//$doc->addCustomTag('<meta property="og:type" content="'.$og_type.'"/>');
			$doc->addCustomTag(
				'<meta property="og:image" content="'.$juri.'components/com_myplayer/assets/img/fbicon.jpg"/>'
			);
			//$doc->addCustomTag('<meta property="og:site_name" content="'.$prod_name.'"/>');
			//$doc->addCustomTag('<meta property="og:description" content="'.strip_tags($prod_desc).'"/>');
			$doc->addCustomTag('<meta property="og:title" content="'.ucfirst($page_title).'"/>');			
			$doc->addCustomTag('<meta property="og:url" content="'.$share_url.'"/>');
		}

?>
</div>