<?php
/*
 * @component MyPlayer
 * @copyright Copyright (C) 2010-2016 Adrien Roussel Nordmograph.com
 * @license : GNU/GPL v3
 * @Website : http://www.nordmograph.com/extensions
 */
// No direct access to this file
defined('_JEXEC') or die('Restricted access');
// import Joomla view library
jimport('joomla.application.component.view');

 jimport( 'joomla.html.pagination' );
 
class MyplayerViewPlayer extends JViewLegacy
{
    
    protected $items;
    protected $state;
    protected $params;
    
    public function display($tpl = null)
    {
        $juri 	= JURI::Base();
		$app	= JFactory::getApplication();
        $doc    = JFactory::getDocument();
		$user	= JFactory::getUser();
		$uri	= JFactory::getUri();
		
		$cparams 			= JComponentHelper::getParams('com_myplayer');
		$profileman 		= $cparams->get('profileman', '0');
		$enable_podcast		= $cparams->get('enable_podcast', 1);
		$default_privacy 	= $cparams->get('default_privacy', '0');
		$naming 			= $cparams->get('naming', 'username');

		$latest 	= $app->input->getInt('latest');
		$playlistid = $app->input->getInt('playlistid');
		$userid 	= $app->input->getInt('userid');
		
		require_once JPATH_BASE.'/components/com_myplayer/helpers/myplayer.php' ;

			
		$playlist 			= MyplayerFrontendHelper::getThisPlaylist( $playlistid );
		$isallowed = 1;
		
		if(!$playlistid && !$latest)
			$isallowed = 0;
		if($playlistid==0)
			$isallowed 	= MyplayerFrontendHelper::getIsDefaultAllowed($userid);
		elseif($playlistid>0)
		{
			if($playlist->state!='1' OR $playlist->privacy!='0' )
				$isallowed = 0;
		}
		
		if(!$enable_podcast)
		{
			$isallowed = 0;
		}
	
	
		if( !$isallowed)
		{
			return false;	
		}	
			
	
       
		$this->items = $this->get('Items');

		
		
		$profile_url = $uri->getScheme().'://'.$uri->getHost();
		if($profileman=='0')
			$url = 'index.php?option=com_myplayer&view=myplayer&userid='.$userid;
		elseif($profileman=='cb')
			$url =  'index.php?option=com_comprofiler&task=userProfile&user='.$userid ;
		elseif($profileman=='js')
			$url =  'index.php?option=com_community&view=profile&userid='.$userid ;
		elseif($profileman=='es')
			$url='index.php?option=com_easysocial&view=profile&id='.$userid.':'.JFactory::getUser($userid)->username  ;
		if($playlistid)
			$url .='&playlistid='.$playlistid;
		if($latest)
			$url .='&latest=1';
		$profile_url =  $uri->getScheme().'://'.$uri->getHost().JRoute::_( $url , true).'#myplayer';
		
		$user_naming 			= ucfirst( JFactory::getUser($userid)->$naming );
		//$feedtitle = ucfirst(  sprintf( JText::_('COM_MYPLAYER_FEEDTITLE') , $user_naming )  );
		
		if($playlistid >0)
		{
			$feedtitle = sprintf(JText::_('COM_MYPLAYER_PLAYLISTPLAYERPAGETITLE'),
			JFactory::getUser($userid)->username , $playlist->title);
		}
		else
			$feedtitle = sprintf(JText::_('COM_MYPLAYER_PLAYERPAGETITLE'),JFactory::getUser($userid)->username);
		
		
		$feeddesc = ucfirst(  sprintf( JText::_('COM_MYPLAYER_FEEDDESCRIPTION') , $user_naming , $profile_url)  );
		$doc->setTitle( $feedtitle);
		$doc->setDescription( $feeddesc );
		$doc->setLink( $profile_url );
		
 
        
        //$doc->link = JRoute::_(TagsHelperRoute::getTagRoute($app->input->getInt('id')));
        $app->input->set('limit', $app->get('feed_limit'));
        
        $siteEmail        = $app->get('mailfrom');
        $fromName         = $app->get('fromname');
        $feedEmail        = $app->get('feed_email', 'author');
        $doc->editor = $fromName;
        if ($feedEmail != "none")
        {
            $doc->editorEmail = $siteEmail;
        }   

        // Get some data from the model

        foreach ($this->items as $item)
        {
 
            // Strip HTML from feed item title
            $title = sprintf(
						JText::_('COM_MYPLAYER_TITLEBYARTIST'),
						JText::_($this->escape($item->title)),
						JText::_($this->escape($item->artist))
						);
			
			//.' '..' '.;
            $title = html_entity_decode($title, ENT_COMPAT, 'UTF-8');
			
			if($item->file)
			{
				$uri 	 = JFactory::getURI();
	//$link = $uri->getScheme().'://'.$uri->getHost()	.'/media/com_myplayer/tracks/'.$item->created_by.'/'.$item->file;
				$link = $juri.'media/com_myplayer/tracks/'.$item->created_by.'/'.$item->file;

				
			}
			elseif($item->file_url)
				$link = $item->file_url;
                
            // URL link to tagged item
            // Change to new routing once it is merged
           
            // Strip HTML from feed item description text
            $description = '';
            $author      =  JText::_($this->escape($item->artist)) ;
            $date        =  date('r', strtotime($item->created_on));
            // Load individual item creator class
            $feeditem              = new JFeedItem;
            $feeditem->title       = $title ;
            $feeditem->link        = $link;
            $feeditem->description = '';
            $feeditem->date        = $date;
            $feeditem->category    = '';
            $feeditem->author      = '';
            if ($feedEmail == 'site')
            {
                $item->authorEmail = $siteEmail;
            }
            elseif ($feedEmail === 'author')
            {
                $item->authorEmail = JFactory::getUser( $item->created_by)->email;
            }
            // Loads item info into RSS array
            $doc->addItem($feeditem);
        }
    }
}