<?php

/**
 * @version     1.0.0
 * @package     com_myplayer
 * @copyright   Copyright (C) Nordmograph 2016. All rights reserved.
 * @license     GNU General Public License version 3 ; See LICENSE.txt
 * @author      Nordmograph <contact@nordmograph.com> - http://www.nordmograph.com/extensions
 */
// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * View class for a list of Myplayer.
 */
class MyplayerViewPlayer extends JViewLegacy {

    protected $items;
	protected $customize;
    protected $pagination;
    protected $state;
    protected $params;

    /**
     * Display the view
     */
    public function display($tpl = null) {
		$juri 	= JURI::Base();
        $app 	= JFactory::getApplication();
		$doc 	= JFactory::getDocument();
		$user 	= JFactory::getUser();
		
		$userid 	= $app->input->getInt('userid');
		$playlistid = $app->input->getInt('playlistid');
		$latest 	= $app->input->getInt('latest');
		if(!$userid)
			$userid = $user->id;

        $this->state = $this->get('State');
        $this->items = $this->get('Items');

		require_once JPATH_BASE.'/components/com_myplayer/helpers/myplayer.php' ;
		
		if(!$playlistid && !$latest)
			$this->playlistid = MyplayerFrontendHelper::getFirstPlaylist($userid );
		else
			$this->playlistid = $playlistid;
		if(!$this->playlistid)
		{
			$this->playlistid = '0';
			$this->latest = '1';	
		}
		else
			$this->latest = 0;
	
		$this->playlist 			= MyplayerFrontendHelper::getThisPlaylist( $this->playlistid );
		$this->customize 			= MyplayerFrontendHelper::getCustomize($userid,$this->playlistid);
		$this->playlists 			= MyplayerFrontendHelper::getPlaylists( $userid  );

		$this->player_Itemid 		= MyplayerFrontendHelper::getPlayerItemid();	
		$this->trackform_Itemid 	= MyplayerFrontendHelper::getTrackFormItemid();
		$this->tracks_Itemid 		= MyplayerFrontendHelper::getTracksManagerItemid();
		$this->customize_Itemid 	= MyplayerFrontendHelper::getCustomizeItemid();
		$this->playlists_Itemid 	= MyplayerFrontendHelper::getPlaylistsManagerItemid();
		
		
		
		$this->isdefaultallowed 	=  MyplayerFrontendHelper::getIsDefaultAllowed($userid);
		if($this->playlistid==0)
			$this->isallowed 	= $this->isdefaultallowed; 
		elseif($this->playlistid>0)
		{
			$this->isallowed 	= MyplayerFrontendHelper::getIsPlaylistAllowed($userid , $this->playlist->privacy);
			if($this->playlist->state!='1')
				$this->isallowed = 0;
		}

		if( $this->playlistid>0 && $this->playlist->state!='1')
		{
			$app->enqueueMessage(JText::_('COM_MYPLAYER_PLAYLISTUNPUBLISHED') );
			return false;	
		}
		if( !$this->isallowed)
		{
			$app->enqueueMessage(JText::_('COM_MYPLAYER_PRIVACY_FORBIDDEN') );
			return false;	
		}
	
		//$this->playlist = $this->get('ThisPlaylist');
		if($this->customize)
		{
			$this->attributes 	= $this->customize->attributes;
			$this->player_height 	= $this->customize->player_height;
			//$this->texture_css 	= $this->customize->texture_css;
		}
		else
		{
			$this->attributes='';
			$this->texture_css='';
			$this->player_height='188';
		}
        $this->pagination = $this->get('Pagination');
        $this->params = $app->getParams('com_myplayer');
		
        $doc->addStylesheet($juri.'components/com_myplayer/assets/css/fontello.css');
		$doc->addStylesheet($juri.'components/com_myplayer/assets/css/player.css');

        // Check for errors.
        if (count($errors = $this->get('Errors'))) {
            throw new Exception(implode("\n", $errors));
        }
		
		
		if (!empty($this->customize))
		{
			$opacity=1;
			$this->color = trim($this->get_string_between($this->customize->css , 'color:',';'));
			$fullcolors = trim($this->get_string_between($this->customize->css , 'rgba(',')'));
			$colors = explode(',',$fullcolors);
			$this->opacity = trim(end($colors));
			$this->texture = trim($this->get_string_between($this->customize->css , 'ground:',';'));
			if($colors)
			{
				echo '<style>.sm2-bar-ui .sm2-main-controls,
				.sm2-bar-ui .sm2-playlist-drawer {
				 background-color: '.$this->color.'; 
				 background-color: rgba('.$fullcolors.');
				 opacity:'.$this->opacity.';
				}</style>';
			}
			else
			{
				echo '<style>.sm2-bar-ui .sm2-main-controls,
				.sm2-bar-ui .sm2-playlist-drawer {
				 background-color: '.$this->color.';
				}</style>';
			}
			if(strpos($this->texture,'.png')!==false)
			{
				$this->texture_css = 'url('.$juri.
				'components/com_myplayer/assets/soundmanager/bar-ui/image/patterns/'.$this->texture.')';
			}
			else
				$this->texture_css =$this->texture;
			echo '<style>.sm2-bar-ui .sm2-inline-texture {background:'.$this->texture_css.'}</style>';	
		}
		
		

        $this->_prepareDocument();
        parent::display($tpl);
    }
	
	public function get_string_between($string, $start, $end)
	{
		$string = " ".$string;
		$ini = strpos($string,$start);
		if ($ini == 0) return "";
		$ini += strlen($start);
		$len = strpos($string,$end,$ini) - $ini;
		return substr($string,$ini,$len);
	}
    /**
     * Prepares the document
     */
    protected function _prepareDocument() {
        $app = JFactory::getApplication();
        $menus = $app->getMenu();
        $title = null;

        // Because the application sets a default page title,
        // we need to get it from the menu item itself
        $menu = $menus->getActive();
        if ($menu) {
            $this->params->def('page_heading', $this->params->get('page_title', $menu->title));
        } else {
            $this->params->def('page_heading', JText::_('COM_MYPLAYER_DEFAULT_PAGE_TITLE'));
        }
        $title = $this->params->get('page_title', '');
        if (empty($title)) {
            $title = $app->getCfg('sitename');
        } elseif ($app->getCfg('sitename_pagetitles', 0) == 1) {
            $title = JText::sprintf('JPAGETITLE', $app->getCfg('sitename'), $title);
        } elseif ($app->getCfg('sitename_pagetitles', 0) == 2) {
            $title = JText::sprintf('JPAGETITLE', $title, $app->getCfg('sitename'));
        }
        $this->document->setTitle($title);

        if ($this->params->get('menu-meta_description')) {
            $this->document->setDescription($this->params->get('menu-meta_description'));
        }

        if ($this->params->get('menu-meta_keywords')) {
            $this->document->setMetadata('keywords', $this->params->get('menu-meta_keywords'));
        }

        if ($this->params->get('robots')) {
            $this->document->setMetadata('robots', $this->params->get('robots'));
        }
    }

}