<?php
/**
 * @version     1.0.0
 * @package     com_myplayer
 * @copyright   Copyright (C) Nordmograph 2016. All rights reserved.
 * @license     GNU General Public License version 3 ; See LICENSE.txt
 * @author      Nordmograph <contact@nordmograph.com> - http://www.nordmograph.com/extensions
 */
// no direct access
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');
JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');
$juri = JURI::base();
$user 	= JFactory::getUser();
$uri 	 = JFactory::getURI();
$doc 	= JFactory::getDocument();
$doc->addScript($juri.'components/com_myplayer/assets/js/sweetalert/sweetalert2.min.js');

require_once JPATH_BASE.'/components/com_myplayer/helpers/myplayer.php' ;
$player_Itemid 		= MyplayerFrontendHelper::getPlayerItemid();	
$trackform_Itemid 	= MyplayerFrontendHelper::getTrackFormItemid();
$playlists_Itemid 	= MyplayerFrontendHelper::getPlaylistsManagerItemid();

$cparams 			= JComponentHelper::getParams('com_myplayer');
$profileman		 	= $cparams->get('profileman', '0');
$default_privacy 	= $cparams->get('default_privacy', '0');
$popup_width 		= $cparams->get('popup_width', '510');
$popup_height 		= $cparams->get('popup_height', '215');


$listOrder 	= $this->state->get('list.ordering');
$listDirn 	= $this->state->get('list.direction');
$canCreate 	= $user->authorise('core.create', 'com_myplayer');
$canEdit 	= $user->authorise('core.edit', 'com_myplayer');
$canCheckin = $user->authorise('core.manage', 'com_myplayer');
$canChange 	= $user->authorise('core.edit.state', 'com_myplayer');
$canDelete 	= $user->authorise('core.delete', 'com_myplayer');

$profile_url = $uri->getScheme().'://'.$uri->getHost();
if($profileman=='0')
	$url = 'index.php?option=com_myplayer&view=player&userid='.$user->id;
elseif($profileman=='cb')
	$url =  'index.php?option=com_comprofiler&task=userProfile&user='.$user->id ;
elseif($profileman=='js')
	$url =  'index.php?option=com_community&view=profile&userid='.$user->id ;
elseif($profileman=='es')
	$url='index.php?option=com_easysocial&view=profile&id='.$user->id.':'.$user->username  ;
$profile_url =  $uri->getScheme().'://'.$uri->getHost().JRoute::_( $url , true);

if( count($this->items)>1 )
{
	echo '<link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.4/themes/smoothness/jquery-ui.css">
	<script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.4/jquery-ui.min.js"></script>';
	echo '<script>
		jQuery(function() {
			//jQuery(".unsortable").disableSelection();
			jQuery( "#sortable" ).sortable({ 
				opacity: 0.7, 
				cursor: \'move\',
		  		update: function(event, ui) {
					var list_sortable = jQuery(this).sortable(\'toArray\').toString();
					// change order in the database using Ajax
            		jQuery.ajax({
						url: \'index.php?option=com_myplayer&task=updatelistorder\',
						type: \'POST\',
						data: {list_order:list_sortable},
						success: function(data) {
							//finished
							jQuery("#myp-updatemessage").html(\'<i class="icon-ok"></i> '.JText::_('COM_MYPLAYER_ORDERSAVED').'\');
							jQuery("#myp-updatemessage").fadeIn(\'fast\');
							jQuery("#myp-updatemessage").fadeOut(\'slow\');
							//slideout();
						}
            		});
        		}
         	});
			jQuery( "#sortable" ).disableSelection();
	  	});
	  </script>';
}
?>
<h1><i class="myp-icon-playlist"></i> <?php echo JText::_('COM_MYPLAYER_PLAYLISTSMANAGER') ?></h1>

<i class="myp-icon-info-circled"></i> <?php echo JText::_('COM_MYPLAYER_PLAYLIST_DEFAULT_NOTICE');
echo '<div class="myp-controls btn-group" >
	<a href="'.JRoute::_('index.php?option=com_myplayer&view=trackform&Itemid='.$this->trackform_Itemid).'" class="btn btn-success btn-mini hasTooltip" title="'.JText::_('COM_MYPLAYER_ADD_ITEM').'">
	<i class="myp-icon-upload"></i></a>
	<a href="'.JRoute::_('index.php?option=com_myplayer&view=tracks&Itemid='.$this->tracks_Itemid).'" class="btn btn-default btn-mini hasTooltip" title="'.JText::_('COM_MYPLAYER_MANAGEPLAYLIST').'">
	<i class="myp-icon-list"></i></a>
	<a href="'.$profile_url.'" class="btn btn-primary btn-mini hasTooltip" title="'.JText::_('COM_MYPLAYER_MYPLAYER').'">
	<i class="myp-icon-headphones"></i>
	</a>
	</div>
	<div id="myp-updatemessage" class="text-success"></div>';

 ?>

<form action="<?php echo JRoute::_('index.php?option=com_myplayer&view=playlists'); ?>" method="post" name="adminForm" id="adminForm">

    <?php echo JLayoutHelper::render('default_filter', array('view' => $this), dirname(__FILE__)); ?>
    <table class="table table-striped table-hover table-condensed" id = "playlistsList" >
        <thead >
            <tr >
                <?php if (isset($this->items[0]->state)): ?>
        <th width="1%" class="nowrap center">
            <?php echo JHtml::_('grid.sort', 'JSTATUS', 'a.state', $listDirn, $listOrder); ?>
        </th>
    <?php endif; ?>

    				<th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_MYPLAYER_PLAYLIST_TITLE', 'a.title', $listDirn, $listOrder); ?>
				</th>
				<th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_MYPLAYER_PLAYLIST_PRIVACY', 'a.privacy', $listDirn, $listOrder); ?>
				</th>


    <?php if (isset($this->items[0]->id)): ?>
        <th width="1%" class="nowrap center hidden-phone">
            <?php //echo JHtml::_('grid.sort', 'JGRID_HEADING_ID', 'a.id', $listDirn, $listOrder); ?>
        </th>
    <?php endif; ?>
    
    <?php if ( count($this->items)>1)
					{
						echo '<th width="1%" class="nowrap center">';
						//echo JHtml::_('grid.sort',  'COM_MYPLAYER_TRACKS_ORDERING', 'a.ordering', $listDirn, $listOrder);
						echo '</th>';	
					}
					
?>
    				<?php if ($canEdit || $canDelete): ?>
					<th class="center">
				<?php echo JText::_('COM_MYPLAYER_PLAYLIST_ACTIONS'); ?>
				</th>
				<?php endif; ?>

    </tr>
    </thead>
    <tfoot>
    <tr>
        <td colspan="<?php echo isset($this->items[0]) ? count(get_object_vars($this->items[0])) : 10; ?>">
            <?php echo $this->pagination->getListFooter(); ?>
        </td>
    </tr>
    </tfoot>
    <tbody id="sortable">

    <?php foreach ($this->items as $i => $item) : 
	
	?>
        <?php $canEdit = $user->authorise('core.edit', 'com_myplayer'); ?>

        				<?php if (!$canEdit && $user->authorise('core.edit.own', 'com_myplayer')): ?>
					<?php $canEdit = JFactory::getUser()->id == $item->created_by; ?>
				<?php endif; ?>

         <tr id="<?php echo $item->id  ?>" ordering="<?php echo $item->ordering  ?>" >

            <?php if (isset($this->items[0]->state)): ?>
                <?php $class = ($canEdit || $canChange) ? 'active' : 'disabled'; ?>
                <td class="center">
                    
                        <?php if ($item->state == 1){ 
                         echo '<a class="btn btn-micro btn-success '.$class.'"
                       href="'. JRoute::_('index.php?option=com_myplayer&task=playlist.publish&id=' . $item->id . '&state=' . 0, false,2) .'"><i class="myp-icon-ok"></i>';
                         }
						else{ 
                            echo '<a class="btn btn-micro btn-danger '.$class.'"
                       href="'.JRoute::_('index.php?option=com_myplayer&task=playlist.publish&id=' . $item->id . '&state=' . 1, false,2) . '"><i class="myp-icon-cancel"></i>';
					   
                        } ?>
                    </a>
                </td>
            <?php endif; ?>

            				<td>
				<?php if (isset($item->checked_out) && $item->checked_out) : ?>
					<?php echo JHtml::_('jgrid.checkedout', $i, $item->editor, $item->checked_out_time, 'playlists.', $canCheckin); ?>
				<?php endif; ?>
				<a href="<?php echo JRoute::_('index.php?option=com_myplayer&view=playlistform&id='.(int) $item->id); ?>">
				<?php echo $this->escape($item->title); ?></a>
				</td>
				<td>

					<?php echo JText::_('COM_MYPLAYER_PLAYLIST_PRIVACY_' . strtoupper($item->privacy)); ?>
				</td>


            <?php if (isset($this->items[0]->id)): ?>
                <td class="hidden-phone">
                    <?php 
				
					$popup_url = JRoute::_('index.php?option=com_myplayer&view=player&userid='.$user->id.'&playlistid='.$item->id.'&tmpl=component&poped=1');
					$doc->addScriptDeclaration('function popitup(url) {
				newwindow=window.open(url,\'\',\'height='.$popup_height.',width='.$popup_width.'\');
				if (window.focus) {newwindow.focus()}
				return false;}');
				
					echo '<div class="btn-group">
					<a class="btn btn-default btn-mini btn-xs" href="'.JRoute::_('index.php?option=com_myplayer&view=player&userid='.$user->id.'&playlistid='.$item->id.'&Itemid='.$player_Itemid).'"><i class="myp-icon-headphones"></i></a>';
					echo '<a class="btn btn-default btn-mini btn-xs" 
					href="'.$popup_url.'" 
					onclick="return popitup(\''.$popup_url.'\')"
					><i class="myp-icon-popup"></i></a>';
					
					$cust_url = JRoute::_('index.php?option=com_myplayer&view=customize&playlistid='.$item->id.'&Itemid='.$this->customize_Itemid);
					echo '<a class="btn btn-default btn-mini btn-xs" href="'.$cust_url.'" >
					<i class="myp-icon-droplet"></i>
					</a>';
					echo $item->privacy;
					if($item->privacy=='0')
					{
						$feed_url = JRoute::_('index.php?option=com_myplayer&view=player&userid='.$user->id.'&playlistid='.$item->id.'&Itemid='.$player_Itemid.'&format=feed');
						echo '<a class="btn btn-default btn-mini btn-xs" target="_blank" href="'.$feed_url.'" >
						<i class="myp-icon-rss-squared"></i>
						</a>';
					}
					
					
					echo '</div>';
					?>
                </td>
            <?php endif; ?>
            <?php if ($canEdit && count($this->items)>1)
				{
					echo '<td class="center">';
					echo '<span class="btn btn-default btn-mini hasTooltip" title="'.JText::_('COM_MYPLAYER_DRAGTOREORDER').'"><i class="myp-icon-move"></i></span> ';
                    echo ' </td>';
				} ?>

            				<?php if ($canEdit || $canDelete): ?>
					<td class="center">
						<?php if ($canEdit): ?>
							<div class="btn-group">
                            <a href="<?php echo JRoute::_('index.php?option=com_myplayer&task=playlistform.edit&id=' . $item->id, false, 2); ?>" class="btn btn-mini" type="button"><i class="icon-edit" ></i></a>
						<?php endif; ?>
						<?php if ($canDelete): ?>
							<button data-item-id="<?php echo $item->id; ?>" class="btn btn-mini delete-button" type="button" title="<?php echo JText::_('COM_MYPLAYER_TRACKS_DELETE')?>" href="<?php 
							echo JRoute::_('index.php?option=com_myplayer&task=playlistform.remove&id=' . $item->id, false, 2);
							//echo 'index.php?option=com_myplayer&task=playlistform.remove&id=' . $item->id;
							
							 ?>"><i class="myp-icon-trash" ></i></button>
                            </div>
						<?php endif; ?>
					</td>
				<?php endif; ?>

        </tr>
    <?php endforeach; 
	if($user->id)
	{
		?>
    <tr id="0" class="unsortable" >

            <?php if (isset($this->items[0]->state)): ?>
                <?php $class = ($canEdit || $canChange) ? 'active' : 'disabled'; ?>
                <td class="center"> -   </td>
            <?php endif; ?>
		<td><?php echo sprintf( JText::_('COM_MYPLAYER_PLAYLIST_LATESTTRACKS') , $user->username ); ?>
				</td>
		<td><?php echo JText::_('COM_MYPLAYER_PLAYLIST_PRIVACY_'.$default_privacy) ; ?>
				</td>
		<td class="hidden-phone">
                    <?php 
				
					$popup_url = JRoute::_('index.php?option=com_myplayer&view=player&userid='.$user->id.'&playlistid=0&latest=1&tmpl=component&poped=1');
					$doc->addScriptDeclaration('function popitup(url) {
				newwindow=window.open(url,\'\',\'height='.$popup_height.',width='.$popup_width.'\');
				if (window.focus) {newwindow.focus()}
				return false;}');
				
					echo '<div class="btn-group">
					<a class="btn btn-default btn-mini btn-xs" href="'.JRoute::_('index.php?option=com_myplayer&view=player&userid='.$user->id.'&playlistid=0&latest=1&Itemid='.$player_Itemid).'"><i class="myp-icon-headphones"></i></a>';
					echo '<a class="btn btn-default btn-mini btn-xs" 
					href="'.$popup_url.'" 
					onclick="return popitup(\''.$popup_url.'\')"
					
					><i class="myp-icon-popup"></i></a>';
					$cust_url = JRoute::_('index.php?option=com_myplayer&view=customize&&playlistid=0&latest=1&Itemid='.$this->customize_Itemid);
					echo '<a class="btn btn-default btn-mini btn-xs" href="'.$cust_url.'" >
					<i class="myp-icon-droplet"></i>
					</a>';
					
					if($default_privacy=='0')
					{
						$feed_url = JRoute::_('index.php?option=com_myplayer&view=player&userid='.$user->id.'&playlistid=0$latest=1&Itemid='.$player_Itemid.'&format=feed');
						echo '<a class="btn btn-default btn-mini btn-xs" target="_blank" href="'.$feed_url.'" >
						<i class="myp-icon-rss-squared"></i>
						</a>';
					}
					
					
					echo '</div>';
					?>
                </td>
          <?php 
		  if ( count($this->items)>1)
				{
					echo '<td class="center">-</td>';
				} ?>
         
					<td class="center">-</td>
			

        </tr>
        <?php } ?>
    </tbody>
    </table>

    <?php if ($canCreate): ?>
        <a href="<?php echo JRoute::_('index.php?option=com_myplayer&task=playlistform.edit&id=0', false, 2); ?>"
           class="btn btn-success btn-small"><i
                class="icon-plus"></i> <?php echo JText::_('COM_MYPLAYER_ADD_PLAYLIST'); ?></a>
    <?php endif; ?>

    <input type="hidden" name="task" value=""/>
    <input type="hidden" name="boxchecked" value="0"/>
    <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
    <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>
    <?php echo JHtml::_('form.token'); ?>
</form>

<script type="text/javascript">

    jQuery(document).ready(function () {
        jQuery('.delete-button').click(deleteItem);
    });

    function deleteItem() {
        var href = jQuery(this).attr('href');

        swal(
					{   title: '', 
				  	text: '<?php echo JText::_( 'COM_MYPLAYER_DELETE_MESSAGE' ) ?>', 
				  	type: 'warning',
					showCancelButton: true, 
					confirmButtonColor: 'green',   
					cancelButtonColor: '#d33',   
					confirmButtonText: '<?php echo JText::_('JYes') ?>',
					cancelButtonText: '<?php echo JText::_('JNo') ?>'   
					},
					function(confirm) 
					{  
						if(confirm){
							//it.submit();
							 window.location.href = href;
						}
							
					}
				)
    }
</script>