<?php
/**
 * @version     1.0.0
 * @package     com_myplayer
 * @copyright   Copyright (C) Nordmograph 2016. All rights reserved.
 * @license     GNU General Public License version 3 ; See LICENSE.txt
 * @author      Nordmograph <contact@nordmograph.com> - http://www.nordmograph.com/extensions
 */
// no direct access
defined('_JEXEC') or die;

$canEdit = JFactory::getUser()->authorise('core.edit', 'com_myplayer');
if (!$canEdit && JFactory::getUser()->authorise('core.edit.own', 'com_myplayer')) {
	$canEdit = JFactory::getUser()->id == $this->item->created_by;
}
?>
<?php if ($this->item) : ?>

    <div class="item_fields">
        <table class="table">
            <tr>
			<th><?php echo JText::_('COM_MYPLAYER_FORM_LBL_TRACK_ID'); ?></th>
			<td><?php echo $this->item->id; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_MYPLAYER_FORM_LBL_TRACK_TITLE'); ?></th>
			<td><?php echo $this->item->title; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_MYPLAYER_FORM_LBL_TRACK_ARTIST'); ?></th>
			<td><?php echo $this->item->artist; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_MYPLAYER_FORM_LBL_TRACK_DURATION'); ?></th>
			<td><?php echo $this->item->duration; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_MYPLAYER_FORM_LBL_TRACK_ID3_GENRE'); ?></th>
			<td><?php echo $this->item->id3_genre; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_MYPLAYER_FORM_LBL_TRACK_FILE'); ?></th>
			<td>
			<?php $uploadPath = 'administrator' . DIRECTORY_SEPARATOR . 'components' . DIRECTORY_SEPARATOR . 'com_myplayer' . DIRECTORY_SEPARATOR . 'media/com_myplayer/tracks' . DIRECTORY_SEPARATOR . $this->item->file; ?>
			<a href="<?php echo JRoute::_(JUri::base() . $uploadPath, false); ?>" target="_blank"><?php echo $this->item->file; ?></a></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_MYPLAYER_FORM_LBL_TRACK_FILE_URL'); ?></th>
			<td><?php echo $this->item->file_url; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_MYPLAYER_FORM_LBL_TRACK_STATE'); ?></th>
			<td>
			<i class="icon-<?php echo ($this->item->state == 1) ? 'publish' : 'unpublish'; ?>"></i></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_MYPLAYER_FORM_LBL_TRACK_CREATED_BY'); ?></th>
			<td><?php echo JFactory::getUser($this->item->created_by)->username; ?></td>
</tr>

        </table>
    </div>
    <?php if($canEdit && $this->item->checked_out == 0): ?>
		<a class="btn" href="<?php echo JRoute::_('index.php?option=com_myplayer&task=track.edit&id='.$this->item->id); ?>"><?php echo JText::_("COM_MYPLAYER_EDIT_ITEM"); ?></a>
	<?php endif; ?>
								<?php if(JFactory::getUser()->authorise('core.delete','com_myplayer')):?>
									<a class="btn" href="<?php echo JRoute::_('index.php?option=com_myplayer&task=track.remove&id=' . $this->item->id, false, 2); ?>"><?php echo JText::_("COM_MYPLAYER_DELETE_ITEM"); ?></a>
								<?php endif; ?>
    <?php
else:
    echo JText::_('COM_MYPLAYER_ITEM_NOT_LOADED');
endif;
?>
