<?php
/**
 * @version     1.0.0
 * @package     com_myplayer
 * @copyright   Copyright (C) Nordmograph 2016. All rights reserved.
 * @license     GNU General Public License version 3 ; See LICENSE.txt
 * @author      Nordmograph <contact@nordmograph.com> - http://www.nordmograph.com/extensions
 */
// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.keepalive');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');
$juri = JUri::base();
$user = JFactory::getUser();
$app = JFactory::getApplication();
//Load admin language file
$lang = JFactory::getLanguage();

$lang->load('com_myplayer', JPATH_ADMINISTRATOR);
$doc = JFactory::getDocument();
$doc->addStylesheet($juri . '/components/com_myplayer/assets/css/fontello.css');
$doc->addStylesheet($juri . '/components/com_myplayer/assets/css/trackform.css');
$doc->addStylesheet($juri . '/components/com_myplayer/assets/css/ladda.min.css');
$doc->addScript($juri . '/components/com_myplayer/assets/js/form.js');
if (!empty($this->item->id))
{
	$doc->addStylesheet($juri.'components/com_myplayer/assets/soundmanager/mp3-player-button/css/mp3-player-button.css');
	$doc->addScript($juri.'components/com_myplayer/assets/soundmanager/soundmanager2-jsmin.js');
	$doc->addScript($juri.'components/com_myplayer/assets/soundmanager/mp3-player-button/script/mp3-player-button.js');
}

$cparams 			= JComponentHelper::getParams('com_myplayer');
$profileman 			= $cparams->get('profileman', '0');
$enable_activitystream	= $cparams->get('enable_activitystream', 1);
$enable_localfiles		= $cparams->get('enable_localfiles', 1);
$enable_distantfiles	= $cparams->get('enable_distantfiles', 1);
$soundcloud_client_id 	= $cparams->get('soundcloud_client_id');
$default_maxfilesize 	= $cparams->get('default_maxfilesize');
?>

<script type="text/javascript">
    if (jQuery === 'undefined') {
        document.addEventListener("DOMContentLoaded", function(event) { 
            jQuery('#form-track').submit(function(event) {
                
		if(jQuery('#jform_file').val() != ''){
			jQuery('#jform_file_hidden').val(jQuery('#jform_file').val());
		}
            });

            
        });
    } else {
        jQuery(document).ready(function() {
            jQuery('#form-track').submit(function(event) {
                
		if(jQuery('#jform_file').val() != ''){
			jQuery('#jform_file_hidden').val(jQuery('#jform_file').val());
		}
            });

            
        });
    }
</script>

<div class="track-edit front-end-edit">
    <h1><?php 
	if (!empty($this->item->id))
		echo '<i class="myp-icon-edit"></i> '.JText::_('COM_MYPLAYER_EDIT_ITEM').': '.$this->item->title; 
	else 
		echo '<i class="myp-icon-plus"></i> '.JText::_('COM_MYPLAYER_ADD_ITEM');
	 ?></h1>

    <form id="form-track" action="<?php echo JRoute::_('index.php?option=com_myplayer&task=track.save'); ?>" method="post" class="myp-form form-validate form-horizontal" enctype="multipart/form-data">
        
	<input type="hidden" name="jform[id]" value="<?php echo $this->item->id; ?>" />
       <?php
	if($enable_localfiles && $enable_distantfiles)
   {
	   echo '<div class="control-group">
				<div class="control-label"></div>
				<div class="controls">
					<ul class="nav nav-tabs" id="filetypes_tab">
						<li class="';
						if(!$this->item->file_url) echo 'active';
						echo'"><a href="#filetypes_tab_1" data-toggle="tab"><i class="myp-icon-file-audio"></i> '. JText::_("COM_MYPLAYER_LOCALFILE").'</a></li>
						<li class="';
						if($this->item->file_url) echo 'active';
						echo'"><a href="#filetypes_tab_2" data-toggle="tab"><i class="myp-icon-link"></i> '. JText::_("COM_MYPLAYER_DISTANTFILE").'</a></li>
					</ul>
				</div>
			</div>';
   }
if($enable_localfiles)
{
	echo '<div class="tab-content" id="vendordetailsTabContent">
			<div id="filetypes_tab_1" class="tab-pane';
							if(!$this->item->file_url) echo ' active';	
							echo '">';
					
						if (!empty($this->item->file)) //ok
						{
							echo '<div class="control-group" id="current_file">
									<div class="control-label"> </div>
									<div class="controls">'.JText::_('COM_MYPLAYER_CURRENTFILE').' <a class="sm2_button hasTooltip"  title="'.$this->item->file.'" 
							href="'.JUri::base() . 'media/com_myplayer/tracks/'.$this->item->created_by.'/' . $this->item->file.'">
							</a></div>
						</div>';
						} 
					
						echo '<div class="control-group" id="file">
								<div class="control-label"><i class="myp-icon-file-audio"></i> '.$this->form->getLabel('file').'</div>
								<div class="controls">'.$this->form->getInput('file');
							if($default_maxfilesize>0)	
								echo ' <i class="myp-icon-info-circled hasTooltip" title="'.sprintf(JText::_('COM_MYPLAYER_CURRENTMAXFILESIZE'), $default_maxfilesize/1000000 ).'" ></i>';
								echo '</div>
						</div>
						
	<div class="control-group"> 
<div class="controls"><div class="well well-small"><i class="myp-icon-attention"></i> '.JText::_('COM_MYPLAYER_ID3NOTICE').'</div>
</div></div>
	<input type="hidden" name="jform[file]" id="jform_file_hidden" value="'.$this->item->file.'" />
</div>';
}
if($enable_distantfiles)
{
	echo '<div id="filetypes_tab_2" class="tab-pane';
	if($this->item->file_url) echo ' active';
	echo '">
	<div class="control-group" id="file_url">		
		<div class="control-label"><i class="myp-icon-link"></i> '.$this->form->getLabel('file_url').'</div>		
		<div class="controls">'.$this->form->getInput('file_url');
		if (!empty($this->item->file_url))
		{
			$this_item_file_url = $this->item->file_url;
			if($soundcloud_client_id && strpos($this_item_file_url,'soundcloud')!==false )
				$this_item_file_url = $this_item_file_url.'?client_id='.$soundcloud_client_id;
			echo '<a type="audio/mp3" class="sm2_button hasTooltip"  title="'.$this->item->file_url.'" href="'.$this_item_file_url.'">
			</a>';
		}
		 echo '</div>		 
	</div>
</div>';
}
if($enable_localfiles && $enable_distantfiles)
   {
	  echo '<div class="control-group">
		<div class="control-label"></div>
		<div class="controls"><hr /></div>
	</div> '; 
   }
?>
   

 

    <div class="control-group">
		<div class="control-label"><?php echo $this->form->getLabel('title'); ?></div>
		<div class="controls"><?php echo $this->form->getInput('title'); ?></div>
	</div>
	<div class="control-group">
		<div class="control-label"><?php echo $this->form->getLabel('artist'); ?></div>
		<div class="controls"><?php echo $this->form->getInput('artist'); ?></div>
	</div>
    <div class="control-group">
		<div class="control-label"><?php echo $this->form->getLabel('playlists'); ?></div>
		<div class="controls"><?php echo $this->form->getInput('playlists'); ?></div>
	</div>
	<input type="hidden" name="jform[duration]" value="<?php echo $this->item->duration; ?>" />

	<input type="hidden" name="jform[id3_genre]" value="<?php echo $this->item->id3_genre; ?>" />
    
     <?php if (!in_array($profileman, array('cb','0')) && $enable_activitystream && empty($this->item->id)) : ?>
	<div class="control-group">
		<div class="controls"><?php echo $this->form->getInput('shout'); ?> <?php echo $this->form->getLabel('shout'); ?></div>
	</div>
	<?php endif; 
	 echo $this->form->getInput('cover'); //hidden 
?>
	<input type="hidden" name="jform[ordering]" value="<?php echo $this->item->ordering; ?>" />

	<input type="hidden" name="jform[state]" value="<?php echo $this->item->state; ?>" />

	<input type="hidden" name="jform[checked_out]" value="<?php echo $this->item->checked_out; ?>" />

	<input type="hidden" name="jform[checked_out_time]" value="<?php echo $this->item->checked_out_time; ?>" />

	<?php if(empty($this->item->created_by)): ?>
		<input type="hidden" name="jform[created_by]" value="<?php echo JFactory::getUser()->id; ?>" />
	<?php else: ?>
		<input type="hidden" name="jform[created_by]" value="<?php echo $this->item->created_by; ?>" />
	<?php endif; 
	
	
	if($user->id)
	{
		?>
        <div class="control-group">
            <div class="controls">
            <section class="progress-button">
                <button type="submit"  class="ladda-button validate btn btn-primary" data-style="expand-right"><i class="myp-icon-upload"></i> <?php echo JText::_('JSUBMIT'); ?>
                </button>
               
                <a class="btn" href="<?php echo JRoute::_('index.php?option=com_myplayer&task=trackform.cancel'); ?>" title="<?php echo JText::_('JCANCEL'); ?>"><i class="myp-icon-cancel"></i> <?php echo JText::_('JCANCEL'); ?></a> </section>
            </div>
        </div>
        
        <input type="hidden" name="option" value="com_myplayer" />
        <input type="hidden" name="task" value="trackform.save" />
        <?php echo JHtml::_('form.token'); 
		
	}
	else
		$app->enqueueMessage(JText::_('COM_MYPLAYER_NEEDTOLOGIN'),'warning');
	
	
	?>
    </form>
</div>
  <script src="components/com_myplayer/assets/js/spin.min.js" type="text/javascript"></script>
  <script src="components/com_myplayer/assets/js/ladda.min.js" type="text/javascript"></script>
  <script>

			// Bind progress buttons and simulate loading progress
			Ladda.bind( '.progress-button button', {
				callback: function( instance ) {
					var progress = 0;
					var interval = setInterval( function() {
						//progress = Math.min( progress + Math.random() * 0.1, 1 );
						progress = Math.min( progress + 0.03 * 0.1, 1 );
						instance.setProgress( progress );

						if( progress === 1 ) {
							instance.stop();
							clearInterval( interval );
						}
					}, 200 );
				}
			} );

//var l = Ladda.create( document.querySelector( 'button' ) );
//l.start();
//l.stop();
//l.toggle();
//l.isLoading();
//l.setProgress( 0-1 );

</script>