<?php

/**
 * @version     1.0.0
 * @package     com_myplayer
 * @copyright   Copyright (C) Nordmograph 2016. All rights reserved.
 * @license     GNU General Public License version 3 ; See LICENSE.txt
 * @author      Nordmograph <contact@nordmograph.com> - http://www.nordmograph.com/extensions
 */
// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * View to edit
 */
class MyplayerViewTrackform extends JViewLegacy {

    protected $state;
    protected $item;
    protected $form;
    protected $params;
	protected $counttracks;

    /**
     * Display the view
     */
    public function display($tpl = null) {

        $app 		= JFactory::getApplication();
        $user 		= JFactory::getUser();
		//$trackid	= $app->input->getInt('id');
		
		JHtml::_('jquery.framework');
		

        $this->state 		= $this->get('State');
        $this->item 		= $this->get('Data');
		$this->counttracks 	= $this->get('CountTracks');
        $this->params 		= $app->getParams('com_myplayer');
        $this->form			= $this->get('Form');

		$cparams 				= JComponentHelper::getParams('com_myplayer');
		$default_maxtracks 		= $cparams->get('default_maxtracks');	
		$enable_localfiles 		= $cparams->get('enable_localfiles', 1);
		$enable_distantfiles 	= $cparams->get('enable_distantfiles', 1);
		if(!$enable_localfiles && !$enable_distantfiles)
		{
			$app->enqueueMessage('Both local and distant files upload are disabled. 
			You must enable at least one of these to use this component. 
			Check com_myplayer configuration in your Joomla administration', 'warning');
			return false;	
		}

        // Check for errors.
        if (count($errors = $this->get('Errors'))) {
            throw new Exception(implode("\n", $errors));
        }
		
		
		if($user->id && $default_maxtracks >0 && $this->counttracks >= $default_maxtracks && !$this->item->id)
		{
			$app->enqueueMessage( sprintf(JText::_('COM_MYPLAYER_MAXTRACKSREACHED'), $default_maxtracks ));
			//return false;	
		}
        elseif($user->id)
		{
			$d = JFactory::getDocument();
			$d->addScript(JURI::base().'components/com_myplayer/assets/js/ays/jquery.are-you-sure.js');
			$s = "jQuery(function(){jQuery('form').areYouSure({'message':'".JText::_('COM_MYPLAYER_AYS_NOTFINISHED')."'});})";	
			$d->addScriptDeclaration($s);
		}

        $this->_prepareDocument();

        parent::display($tpl);
    }

    /**
     * Prepares the document
     */
    protected function _prepareDocument() {
        $app = JFactory::getApplication();
        $menus = $app->getMenu();
        $title = null;

        // Because the application sets a default page title,
        // we need to get it from the menu item itself
        $menu = $menus->getActive();
        if ($menu) {
            $this->params->def('page_heading', $this->params->get('page_title', $menu->title));
        } else {
            $this->params->def('page_heading', JText::_('COM_MYPLAYER_DEFAULT_PAGE_TITLE'));
        }
        $title = $this->params->get('page_title', '');
        if (empty($title)) {
            $title = $app->getCfg('sitename');
        } elseif ($app->getCfg('sitename_pagetitles', 0) == 1) {
            $title = JText::sprintf('JPAGETITLE', $app->getCfg('sitename'), $title);
        } elseif ($app->getCfg('sitename_pagetitles', 0) == 2) {
            $title = JText::sprintf('JPAGETITLE', $title, $app->getCfg('sitename'));
        }
        $this->document->setTitle($title);

        if ($this->params->get('menu-meta_description')) {
            $this->document->setDescription($this->params->get('menu-meta_description'));
        }

        if ($this->params->get('menu-meta_keywords')) {
            $this->document->setMetadata('keywords', $this->params->get('menu-meta_keywords'));
        }

        if ($this->params->get('robots')) {
            $this->document->setMetadata('robots', $this->params->get('robots'));
        }
    }

}
