<?php
/**
 * @version     1.0.0
 * @package     com_myplayer
 * @copyright   Copyright (C) Nordmograph 2016. All rights reserved.
 * @license     GNU General Public License version 3 ; See LICENSE.txt
 * @author      Nordmograph <contact@nordmograph.com> - http://www.nordmograph.com/extensions
 */
// no direct access
defined('_JEXEC') or die;

//JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');
JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('behavior.modal');
JHtml::_('formbehavior.chosen', 'select');

$juri 			= JURI::Base();
$uri 	 		= JFactory::getURI();
$user			= JFactory::getUser();
$app			= JFactory::getApplication();
$cparams 		= JComponentHelper::getParams('com_myplayer');
$profileman 	= $cparams->get('profileman', '0');
$soundcloud_client_id 	= $cparams->get('soundcloud_client_id');
$enable_podcast	= $cparams->get('enable_podcast', 1);

//$playlistid = $app->input->getInt('playlistid');
//$latest 	= $app->input->getInt('latest');

//require_once JPATH_BASE.'/components/com_myplayer/helpers/myplayer.php' ;	
		
$doc = JFactory::getDocument();
$doc->addScript($juri.'components/com_myplayer/assets/soundmanager/soundmanager2-jsmin.js');
$doc->addScript($juri.'components/com_myplayer/assets/js/sweetalert/sweetalert2.min.js');
$doc->addScript($juri.'components/com_myplayer/assets/soundmanager/mp3-player-button/script/mp3-player-button.js');

if($this->playlistid && !$this->latest)
	$page_title = sprintf(JText::_('COM_MYPLAYER_PLAYLISTMYTRACKSMANAGER'), $this->playlist->title);
else
	$page_title = JText::_('COM_MYPLAYER_MYTRACKSMANAGER');
	
echo '<h1><i class="myp-icon-list"></i> '.$page_title.'</h1>';




if( count($this->items)>1 )
{
	if($this->playlistid && !$this->latest)
	{
		echo '<link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.4/themes/smoothness/jquery-ui.css">
		<script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.4/jquery-ui.min.js"></script>';
		echo '<script>
			jQuery(function() {
				jQuery( "#sortable" ).sortable({ 
					opacity: 0.7, 
					cursor: \'move\',
					update: function(event, ui) {
						var list_sortable = jQuery(this).sortable(\'toArray\').toString();
						// change order in the database using Ajax
						jQuery.ajax({
							url: \'index.php?option=com_myplayer&task=updatetrackorder\',
							type: \'POST\',
							data: {list_order:list_sortable,playlistid:'.$this->playlistid.'},
							success: function(data) {
								//finished
								jQuery("#myp-updatemessage").html(\'<i class="icon-ok"></i> '.JText::_('COM_MYPLAYER_ORDERSAVED').'\');
								jQuery("#myp-updatemessage").fadeIn(\'fast\');
								jQuery("#myp-updatemessage").fadeOut(\'slow\');
								//slideout();
							}
						});
					}
				});
				jQuery( "#sortable" ).disableSelection();
			});
		  </script>';
	}

	  $confirm_alert="function sweetConfirmDelete(it)
			{
				swal(
					{   title: '', 
				  	text: '".JText::_( 'COM_VMVENDOR_DASHBOARD_DELETEAREYOUSURE' )."', 
				  	type: 'warning',
					showCancelButton: true, 
					confirmButtonColor: 'green',   
					cancelButtonColor: '#d33',   
					confirmButtonText: '".JText::_('JYes')."',
					cancelButtonText: '".JText::_('JNo')."'   
					},
					function(confirm) 
					{  
						if(confirm)
							it.submit();
					}
				)
			}";
	$doc->addScriptDeclaration( $confirm_alert );	


}
	//	var_dump($uri 	 = JURI::Base());
//$userId = $user->get('id');
$listOrder 	= $this->state->get('list.ordering');
$listDirn 	= $this->state->get('list.direction');
$canCreate 	= $user->authorise('core.create', 'com_myplayer');
$canEdit 	= $user->authorise('core.edit', 'com_myplayer');
$canCheckin = $user->authorise('core.manage', 'com_myplayer');
$canChange 	= $user->authorise('core.edit.state', 'com_myplayer');
$canDelete 	= $user->authorise('core.delete', 'com_myplayer');


$profile_url = $uri->getScheme().'://'.$uri->getHost();
if($profileman=='0')
	$url = 'index.php?option=com_myplayer&view=player&userid='.$user->id;
elseif($profileman=='cb')
	$url =  'index.php?option=com_comprofiler&task=userProfile&user='.$user->id ;
elseif($profileman=='js')
	$url =  'index.php?option=com_community&view=profile&userid='.$user->id ;
elseif($profileman=='es')
	$url='index.php?option=com_easysocial&view=profile&id='.$user->id.':'.$user->username  ;
if($this->playlistid)
	$url .='&playlistid='.$this->playlistid;
else
	$url .='&playlistid=0';
if($this->latest)
	$url .='&latest=1';
$profile_url =  $uri->getScheme().'://'.$uri->getHost().JRoute::_( $url , true);
		
		
		
	echo '<div class="myp-controls btn-group" >
	<a href="'.JRoute::_('index.php?option=com_myplayer&view=trackform&Itemid='.$this->trackform_Itemid).'" class="btn btn-success btn-mini hasTooltip" title="'.JText::_('COM_MYPLAYER_ADD_ITEM').'">
	<i class="myp-icon-upload"></i></a>
	<a href="'.JRoute::_('index.php?option=com_myplayer&view=playlists&Itemid='.$this->playlists_Itemid).'" class="btn btn-default btn-mini hasTooltip" title="'.JText::_('COM_MYPLAYER_PLAYLISTSMANAGER').'">
	<i class="myp-icon-playlist"></i></a>
	<a href="'.$profile_url.'" class="btn btn-primary btn-mini hasTooltip" title="'.JText::_('COM_MYPLAYER_MYPLAYER').'">
	<i class="myp-icon-headphones"></i>
	</a>
	</div>
	<div id="myp-updatemessage" class="text-success"></div>';
	
if(count($this->playlists)>0 )
{
	$script = "jQuery(document).ready( function() {
				jQuery('#playlist-selector').change(function() {
	  			window.location = jQuery(this).val();
			});});";
	$doc->addScriptDeclaration($script);
	$latesttracks_url = JRoute::_('index.php?option=com_myplayer&view=tracks&playlistid=0&latest=1&Itemid='.$this->tracks_Itemid);
	echo '<i class="myp-icon-playlist"></i> <select id="playlist-selector" name="playlist-selector" >
	<option value="'.$latesttracks_url.'" ';
	if($this->latest)
		echo ' selected="selected" ';
	echo '>'.sprintf(JText::_('COM_MYPLAYER_PLAYLIST_LATESTTRACKS'), $user->username).'</option>';
	foreach($this->playlists as $playlist)
	{
		$redir_url = JRoute::_('index.php?option=com_myplayer&view=tracks&playlistid='.$playlist->id.'&Itemid='.$this->tracks_Itemid) ;
		echo '<option value="'.$redir_url.'" ';
		if($playlist->id == $this->playlistid && !$this->latest)
			echo ' selected="selected" ';
		echo '>'.$playlist->title.'</option>';
	}
	echo '</select>';
}
elseif($user->id>0)
	echo '<i class="myp-icon-info-circled"></i> '.JText::_('COM_MYPLAYER_TRACKS_PLAYLISTTOORDER');


$form_url = 'index.php?option=com_myplayer&view=tracks&playlist='.$this->playlistid;
if($this->playlistid=='0')
	$form_url .= '&latest=1';
$form_url .= '&Itemid='.$app->input->getInt('Itemid');

?>

<form action="<?php echo JRoute::_($form_url); ?>" method="post" name="adminForm" id="adminForm">

    <?php echo JLayoutHelper::render('default_filter', array('view' => $this), dirname(__FILE__)); ?>
    
    <table class="table table-striped table-hover table-condensed" id = "trackList" >
        <thead >
            <tr >
                <?php if (isset($this->items[0]->state)): ?>
        <th width="1%" class="nowrap center">
            <?php echo JHtml::_('grid.sort', 'JSTATUS', 'a.state', $listDirn, $listOrder); ?>
        </th>
    <?php endif; ?>
    <th >
	
				</th>

    				<th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_MYPLAYER_TRACKS_TITLE', 'a.title', $listDirn, $listOrder); ?>
				</th>
				<th class='left'>
				<?php echo JHtml::_('grid.sort',  'COM_MYPLAYER_TRACKS_ARTIST', 'a.artist', $listDirn, $listOrder); ?>
				</th>
                <th class='left'>
				<?php echo JHtml::_('grid.sort',  '<i class="myp-icon-clock"></i>', 'a.duration', $listDirn, $listOrder); ?>
				</th>
			
			


  
				<th width="1%" class="nowrap center hidden-phone">
            <?php echo JText::_('COM_MYPLAYER_TRACKS_PLAY'); ?>
        </th>
        
        
    				<?php if ( count($this->items)>1 && !$this->latest)
					{
						echo '<th width="1%" class="nowrap center">';
						//echo JHtml::_('grid.sort',  'COM_MYPLAYER_TRACKS_ORDERING', 'a.ordering', $listDirn, $listOrder);
						echo '</th>';	
					}
					if ($canEdit || $canDelete): ?>
					<th class="center">
				<?php echo JText::_('COM_MYPLAYER_TRACKS_ACTIONS'); ?>
				</th>
				<?php endif; ?>

    </tr>
    </thead>
    <tfoot>
    <tr>
        <td colspan="<?php echo isset($this->items[0]) ? count(get_object_vars($this->items[0])) : 10; ?>">
            <?php 
			
				echo $this->pagination->getListFooter();
			if($enable_podcast)
		{
			
			
			$url = 'index.php?option=com_myplayer&view=player&userid='.$user->id;
			if($this->latest)
				$url .= '&playlistid=0&latest=1';
			elseif($this->playlistid)
				$url .= '&playlistid='.$this->playlistid;
			$url .= '&format=feed';
			
			echo '<div class="myp-controls" >
		<a target="_blank" class="hasTooltip" title="'.JText::_('COM_MYPLAYER_PODCASTFEED').'" 
		href="'.JRoute::_($url).'"><i class="myp-icon-rss-squared"></i></a></div>
		<div class="clear"></div>';
		}
		 ?>
        </td>
    </tr>
    </tfoot>
    <tbody id="sortable">
    
    <?php foreach ($this->items as $i => $item) : ?>
        <?php $canEdit = $user->authorise('core.edit', 'com_myplayer');
		if (!$canEdit && $user->authorise('core.edit.own', 'com_myplayer')): 
		 $canEdit = JFactory::getUser()->id == $item->created_by; 
		  endif; ?>

        <tr id="<?php echo $item->id  ?>" ordering="<?php echo $item->ordering  ?>" >

            <?php if (isset($this->items[0]->state)): 
			 $class = ($canEdit || $canChange) ? 'active' : 'disabled'; ?>
                <td class="center">
                     <?php 
						 if ($item->state == 1)
						 { 
	                         echo '<a class="btn btn-micro btn-success '.$class.'"
	                       href="'. JRoute::_('index.php?option=com_myplayer&task=track.publish&id=' . $item->id . '&state=' . 0, false,2) .'">
	                       <i class="myp-icon-ok"></i>';
                         }
						else
						{ 
                            echo '<a class="btn btn-micro btn-danger '.$class.'"
                       href="'.JRoute::_('index.php?option=com_myplayer&task=track.publish&id=' . $item->id . '&state=' . 1, false,2) . '">
                       <i class="myp-icon-cancel"></i>';
					   
                        } ?>
                         
                    </a>
                    
                    
                </td>
            <?php endif; ?>
            
            <td>

					<?php 
					if($item->cover)
					{
						$cover_url = $juri.'media/com_myplayer/covers/'.$item->created_by.'/'.$item->cover;
						echo '<a href="'.$cover_url.'" class="modal"><img src="'.$cover_url.'" alt="" width="24" height="24" /></a>'; 
					}?>
				</td>

            				<td>
				<?php if (isset($item->checked_out) && $item->checked_out) : ?>
					<?php echo JHtml::_('jgrid.checkedout', $i, $item->editor, $item->checked_out_time, 'tracks.', $canCheckin); ?>
				<?php endif; ?>
				<a href="<?php echo JRoute::_('index.php?option=com_myplayer&view=trackform&id='.(int) $item->id); ?>">
				<?php echo JText::_($this->escape($item->title)); ?></a>
				</td>
				<td>

					<?php echo JText::_($item->artist); ?>
				</td>
                <td>

					<?php echo JText::_($item->duration); ?>
				</td>
		


     
            
            <td class="center" >
                    <?php 
	$track = '';
	if($item->file)
		$track  = $juri.'media/com_myplayer/tracks/'.$item->created_by.'/'.$item->file;
	elseif($item->file_url)
	{
		$track  = $item->file_url;
		if($soundcloud_client_id && strpos($track,'soundcloud')!==false )
			$track = $track.'?client_id='.$soundcloud_client_id;
	}
	if($track)
		echo '<a type="audio/mp3" href="'.$track.'" class="sm2_button"></a>';

 ?>
                </td>
                
          <?php if ($canEdit && count($this->items)>1 &&  !$this->latest  )
				{
					echo '<td class="center">';
					echo '<span class="btn btn-default btn-mini hasTooltip" title="'.JText::_('COM_MYPLAYER_DRAGTOREORDER').'"><i class="myp-icon-move"></i></span> ';
                    echo ' </td>';
				} ?>
            				<?php if ($canEdit || $canDelete): ?>
					<td class="center">
						<?php if ($canEdit)
						{
							
								
							if($canEdit && $canDelete)
								echo '<div class="btn-group">';
							
                            echo '<a href="'.JRoute::_('index.php?option=com_myplayer&task=trackform.edit&id=' . $item->id, false, 2).'" 
                            class="btn btn-mini hasTooltip" type="button" title="'.JText::_('COM_MYPLAYER_TRACKS_EDIT').'">
							<i class="myp-icon-edit" ></i></a>';
						}
						
						if ( $user->authorise('core.delete', 'com_myplayer')): ?>
                        <button data-item-id="<?php echo $item->id; ?>" class="btn btn-mini btn-default delete-button hasTooltip" 
                        	type="button" title="<?php echo JText::_('COM_MYPLAYER_TRACKS_DELETE')?>" 
                        	href="<?php 
							echo JRoute::_('index.php?option=com_myplayer&task=track.remove&id=' . $item->id.'&playlistid='.$this->playlistid, false, 2);
							//echo 'index.php?option=com_myplayer&task=track.remove&id=' . $item->id.'&playlistid='.$this->playlistid; ?>">
                        	<i class="myp-icon-trash" ></i></button>
						<?php 
						if($canEdit && $canDelete)
								echo '</div>';
								
						endif; ?>
					</td>
				<?php endif; ?>

        </tr>
    <?php endforeach; 
	
	if(!count($this->items))
	{
		echo '<tr><td colspan="7">'.JText::_('COM_MYPLAYER_TRACKS_NOREDORDFOUND').'</td></tr>';	
	}
	
	?>
    </tbody>
    </table>

    <?php 
	
		
		if ($canCreate): ?>
        <a href="<?php echo JRoute::_('index.php?option=com_myplayer&view=trackform', false, 2); ?>"
           class="btn btn-success btn-small"><i
                class="myp-icon-upload"></i> <?php echo JText::_('COM_MYPLAYER_ADD_ITEM'); ?></a>
    <?php endif; ?>
			<input type="hidden" name="playlist_id" value="<?php echo $this->playlistid  ;  ?>" />
    <input type="hidden" name="task" value=""/>
    <input type="hidden" name="boxchecked" value="0"/>
    <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
    <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>
    <?php echo JHtml::_('form.token'); ?>
</form>

<script type="text/javascript">

    jQuery(document).ready(function () {
        jQuery('.delete-button').click(deleteItem);
    });

    function deleteItem() {
        var href = jQuery(this).attr('href');

        swal(
					{   title: '', 
				  	text: '<?php echo JText::_( 'COM_MYPLAYER_DELETE_MESSAGE' ) ?>', 
				  	type: 'warning',
					showCancelButton: true, 
					confirmButtonColor: 'green',   
					cancelButtonColor: '#d33',   
					confirmButtonText: '<?php echo JText::_('JYes') ?>',
					cancelButtonText: '<?php echo JText::_('JNo') ?>'   
					},
					function(confirm) 
					{  
						if(confirm){
							//it.submit();
							 window.location.href = href;
						}
							
					}
				)


    }
</script>