<?php

/**
 * @version     1.0.0
 * @package     com_myplayer
 * @copyright   Copyright (C) Nordmograph 2016. All rights reserved.
 * @license     GNU General Public License version 3 ; See LICENSE.txt
 * @author      Nordmograph <contact@nordmograph.com> - http://www.nordmograph.com/extensions
 */
// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * View class for a list of Myplayer.
 */
class MyplayerViewTracks extends JViewLegacy {

    protected $items;
    protected $pagination;
    protected $state;
    protected $params;

    /**
     * Display the view
     */
    public function display($tpl = null) {
		$juri = JURI::Base();
        $app = JFactory::getApplication();
		$doc = JFactory::getDocument();
		$userid = JFactory::getUser()->id;
		
	
		$this->items = $this->get('Items');
	
			
        $this->state = $this->get('State');
       // $this->items = $this->get('Items');
        $this->pagination = $this->get('Pagination');
        $this->params = $app->getParams('com_myplayer');
		$playlistid = $app->input->getInt('playlistid');
		$latest = $app->input->getInt('latest');
		
		require_once JPATH_BASE.'/components/com_myplayer/helpers/myplayer.php' ;
		if(!$playlistid OR $latest)
		{
			$this->playlistid = '0';
			$this->latest = '1';
		}
		else
		{
			$this->playlistid = $playlistid;
			$this->latest = '0';
		}
		
		/*if(!$playlistid && !$latest)
			$this->playlistid = MyplayerFrontendHelper::getFirstPlaylist($userid );
		else
			$this->playlistid = $playlistid;*/
		/*if(!$this->playlistid )
		{
			$this->playlistid = '0';
			$this->latest = '1';	
		}
		else
			$this->latest = 0;*/
		
		
		$this->playlist 			= MyplayerFrontendHelper::getThisPlaylist( $this->playlistid );
		$this->playlists 			= MyplayerFrontendHelper::getPlaylists( $userid  );

		$this->player_Itemid 		= MyplayerFrontendHelper::getPlayerItemid();
		$this->playlists_Itemid 	= MyplayerFrontendHelper::getPlaylistsManagerItemid();
		$this->tracks_Itemid 		= MyplayerFrontendHelper::getTracksManagerItemid();	
		$this->trackform_Itemid 	= MyplayerFrontendHelper::getTrackFormItemid();
		
        $doc->addStylesheet($juri.'components/com_myplayer/assets/css/fontello.css');
		$doc->addStylesheet($juri.'components/com_myplayer/assets/css/tracks.css');
        $doc->addStylesheet($juri.'components/com_myplayer/assets/js/sweetalert/sweetalert2.css');
		$doc->addStylesheet($juri.'components/com_myplayer/assets/soundmanager/mp3-player-button/css/mp3-player-button.css');
        // Check for errors.
        if (count($errors = $this->get('Errors'))) {
            throw new Exception(implode("\n", $errors));
        }
		
		

        $this->_prepareDocument();
        parent::display($tpl);
    }

    /**
     * Prepares the document
     */
    protected function _prepareDocument() {
        $app = JFactory::getApplication();
        $menus = $app->getMenu();
        $title = null;

        // Because the application sets a default page title,
        // we need to get it from the menu item itself
        $menu = $menus->getActive();
        if ($menu) {
            $this->params->def('page_heading', $this->params->get('page_title', $menu->title));
        } else {
            $this->params->def('page_heading', JText::_('COM_MYPLAYER_DEFAULT_PAGE_TITLE'));
        }
        $title = $this->params->get('page_title', '');
        if (empty($title)) {
            $title = $app->getCfg('sitename');
        } elseif ($app->getCfg('sitename_pagetitles', 0) == 1) {
            $title = JText::sprintf('JPAGETITLE', $app->getCfg('sitename'), $title);
        } elseif ($app->getCfg('sitename_pagetitles', 0) == 2) {
            $title = JText::sprintf('JPAGETITLE', $title, $app->getCfg('sitename'));
        }
        $this->document->setTitle($title);

        if ($this->params->get('menu-meta_description')) {
            $this->document->setDescription($this->params->get('menu-meta_description'));
        }

        if ($this->params->get('menu-meta_keywords')) {
            $this->document->setMetadata('keywords', $this->params->get('menu-meta_keywords'));
        }

        if ($this->params->get('robots')) {
            $this->document->setMetadata('robots', $this->params->get('robots'));
        }
    }

}