<?php
/**
* @package		Easysocial
* @subpackge	app_myplayer
* @copyright	Copyright (C) 2010 - 2015 Nordmograph.com Adrien ROUSSEL. All rights reserved.
* @license		GNU/GPL v3, http://www.gnu.org/licenses/gpl-3.0.html
*/
defined( '_JEXEC' ) or die( 'Unauthorized Access' );
$juri 		= JURI::base();
$uri 	 	= JFactory::getURI();
$app 	 	= JFactory::getApplication();
$doc 		= JFactory::getDocument();
$juser 		= JFactory::getUser();




$html 		= '';
$colors 	= '';
$attributes = '';
$texture_css= '';

$cparams	= JComponentHelper::getParams('com_myplayer');
$enable_podcast 	= $cparams->get('enable_podcast', 1);
$enable_popup 		= $cparams->get('enable_popup', 1);
$popup_width 		= $cparams->get('popup_width', '510');
$popup_height 		= $cparams->get('popup_height', '215');
$enable_embed 		= $cparams->get('enable_embed', 1);
$enable_qrcode 		= $cparams->get('enable_qrcode', 1);
$enable_share 		= $cparams->get('enable_share', 1);
$appid 				= $cparams->get('appid'); // facebook appid
$fb_width			= $cparams->get('fb_width', '150');
$fb_layout			= $cparams->get('fb_layout', 'button_count');
$fb_colorscheme		= $cparams->get('fb_colorscheme', 'light');
$friends_faces		= $cparams->get('friends_faces', 'false');
$include_share		= $cparams->get('include_share', 'true');
$include_send		= $cparams->get('include_send', true);
$facebookcomments 	= $cparams->get('facebookcomments',1);
$fbcomments_width	= $cparams->get('fbcomments_width','700');
$numposts			= $cparams->get('numposts','5');
$default_privacy	= $cparams->get('default_privacy','0');

$default_playerheight	= $cparams->get('default_playerheight','188');
$max_playerheight	= $cparams->get('max_playerheight','700');
$min_playerheight	= '42' ;

$playlistid = $app->input->get('playlistid');
$latest 	= $app->input->get('latest');
$app_id		= $app->input->get('id');
$app_alias	= preg_replace('/[0-9]+/', '', $app_id);   
$app_id		= (int) $app_id;

		
require_once JPATH_BASE.'/components/com_myplayer/helpers/myplayer.php' ;
if(!$playlistid && !$latest)
			$playlistid = MyplayerFrontendHelper::getFirstPlaylist($userid );
if(!$playlistid)
{
			$playlistid = '0';
			$latest = '1';	
}
else
			$latest = 0;
			
			
		$items 			= MyplayerFrontendHelper::getTracks($userid,$playlistid,'');
		$playlist 		= MyplayerFrontendHelper::getThisPlaylist( $playlistid );
		$customize 		= MyplayerFrontendHelper::getCustomize( $userid , $playlistid );
		$playlists 		= MyplayerFrontendHelper::getPlaylists( $userid  );
		$player_Itemid 	= MyplayerFrontendHelper::getPlayerItemid();	
	
		$isdefaultallowed 	=  MyplayerFrontendHelper::getIsDefaultAllowed($userid);
		if($playlistid==0)
			$isallowed 	= $isdefaultallowed; 
		elseif($playlistid>0)
		{
			$isallowed 	= MyplayerFrontendHelper::getIsPlaylistAllowed($userid , $playlist->privacy);
			if($playlist->state!='1')
				$isallowed = 0;
		}
		
if( !$isallowed)
		{
			$html .= '<div class="alert alert-message">'.JText::_('COM_MYPLAYER_PRIVACY_FORBIDDEN').'</div>';
		}
		else
		{		
		
if (!empty($customize))
{
	$opacity 	= 1;
	$color 		= trim(MyplayerFrontendHelper::get_string_between($customize->css , 'color:',';'));
	$fullcolors = trim(MyplayerFrontendHelper::get_string_between($customize->css , 'rgba(',')'));
	$colors 	= explode(',',$fullcolors);
	$opacity 	= trim(end($colors));
	$texture 	= trim(MyplayerFrontendHelper::get_string_between($customize->css , 'ground:',';'));
	if($colors)
	{
		$html .= '<style>.sm2-bar-ui .sm2-main-controls,
		.sm2-bar-ui .sm2-playlist-drawer {
		 background-color: '.$color.'; 
		 background-color: rgba('.$fullcolors.');
		 opacity:'.$opacity.';
		}</style>';
	}
	else
	{
		$html .= '<style>.sm2-bar-ui .sm2-main-controls,
		.sm2-bar-ui .sm2-playlist-drawer {
		 background-color: '.$color.';
		}</style>';
	}
	if(strpos($texture,'.png')!==false)
	{
		$texture_css = 'url('.$juri.
		'components/com_myplayer/assets/soundmanager/bar-ui/image/patterns/'.$texture.')';
	}
	else
		$texture_css =$texture;
	$attributes = $customize->attributes;
	$html .= '<style>.sm2-bar-ui .sm2-inline-texture {background:'.$texture_css.'}</style>';	
}

if($playlistid && !$latest)
{
	$page_title = sprintf( JText::_('COM_MYPLAYER_PLAYLISTPLAYERPAGETITLE') ,
	JFactory::getUser($userid)->username , $playlist->title);
}
else
	$page_title = sprintf( JText::_('COM_MYPLAYER_PLAYERPAGETITLE') ,JFactory::getUser($userid)->username);
Foundry::page()->title( $page_title );

$share_url	= 'index.php?option=com_myplayer&view=player&userid='.$userid.'&playlistid='.$playlistid;
if($playlistid=='0')
	$share_url	.= '&latest=1';
$share_url	.= '&Itemid='.$player_Itemid ;
$share_url 	= $uri->getScheme( ).'://'.$uri->getHost().JRoute::_( $share_url , false);
	
				
$html .= '<a name="myplayer"></a><h1>
			<img src="'.$juri.'components/com_myplayer/assets/img/logo64.png" 
			width="28" heigh="28" alt="logo" /> '.$page_title.'</h1>';
		
if( count($playlists)+ $isdefaultallowed >1 )
{
	$script = "jQuery(document).ready( function() {
						jQuery('#playlist-selector').change(function() {
						window.location = jQuery(this).val();
					});});";
	$doc->addScriptDeclaration($script);
	$latesttracks_url = JRoute::_('index.php?option=com_easysocial&view=apps&id='.$app_id.':'.$app_alias.'&layout=canvas&userid='.$userid.'&playlistid=0&latest=1&Itemid='.$app->input->getInt('Itemid') );
	$html .= '<i class="myp-icon-playlist"></i> ';
	$html .= '<select id="playlist-selector" name="playlist-selector" >';
	
	foreach($playlists as $thatplaylist)
	{
		$redir_url = JRoute::_('index.php?option=com_easysocial&view=apps&id='.$app_id.':'.$app_alias.'&layout=canvas&userid='.$userid.'&playlistid='.$thatplaylist->id.'&Itemid='.$app->input->getInt('Itemid') ) ;
		$html .= '<option value="'.$redir_url.'" ';
		if($thatplaylist->id == $playlistid && !$latest)
			$html .= ' selected="selected" ';
		$html .= '>'.$thatplaylist->title.'</option>';
	}
	if($isdefaultallowed)
	{
		$html .= '<option value="'.$latesttracks_url.'" ';
		if($latest)
			$html .=' selected="selected" ';
		$html .= '>'.sprintf( JText::_('COM_MYPLAYER_PLAYLIST_LATESTTRACKS') , JFactory::getUser($userid)->username).'</option>';
	}
	$html .= '</select>';
}
		
		
		
if($userid == $juser->id)
		{
			$trackform_Itemid 	= MyplayerFrontendHelper::getTrackFormItemid();
			$tracks_Itemid 		= MyplayerFrontendHelper::getTracksManagerItemid();
			$playlists_Itemid 	= MyplayerFrontendHelper::getPLaylistsManagerItemid();
			$customize_Itemid 	= MyplayerFrontendHelper::getCustomizeItemid();
		
			$html .='<div class="myp-controls btn-group">
				<a class="btn btn-success btn-mini hasTooltip" 
				title="'.JText::_('COM_MYPLAYER_ADD_ITEM').'" 
				href="'.JRoute::_('index.php?option=com_myplayer&view=trackform&Itemid='.$trackform_Itemid).'">
				<i class="myp-icon-upload"></i>
				</a>';
			$tracks_url = 'index.php?option=com_myplayer&view=tracks&playlistid='.$playlistid;
				if($playlistid=='0')
					$tracks_url .= '&latest=1';
				$tracks_url .= '&Itemid='.$tracks_Itemid;
			$html .= '<a class="btn btn-default btn-mini hasTooltip" 
				title="'.JText::_('COM_MYPLAYER_MANAGEPLAYLIST').'" 
				href="'.$tracks_url.'">
				<i class="myp-icon-list"></i>
				</a>
				<a class="btn btn-default btn-mini hasTooltip" 
				title="'.JText::_('COM_MYPLAYER_MANAGEPLAYLISTS').'" 
				href="'.JRoute::_('index.php?option=com_myplayer&view=playlists&Itemid='.$playlists_Itemid).'">
				<i class="myp-icon-playlist"></i>
				</a>';
				
				$custom_url = 'index.php?option=com_myplayer&view=customize&playlistid='.$playlistid;
				if($playlistid=='0')
					$custom_url .= '&latest=1';
				$custom_url .= '&Itemid='.$customize_Itemid;
	
				$html .= '<a class="btn btn-default btn-mini hasTooltip" 
				title="'.JText::_('COM_MYPLAYER_CUSTOMIZEPLAYER').'" 
				href="'.JRoute::_($custom_url).'">
				<i class="myp-icon-droplet"></i>
				</a>
			</div>
			<div class="clear"></div>';		
		}
$tracks = '';
if(count($items))
{
	foreach($items as $track)
	{
		if($track->file)
			$track_url = $juri.'media/com_myplayer/tracks/'.$track->created_by.'/'.$track->file;
		elseif($track->file_url)
			$track_url = $track->file_url;
		if($track->cover)
			$cover_url = $juri.'media/com_myplayer/covers/'.$track->created_by.'/'.$track->cover;

		$tracks .= '<li>';
		$tracks .='<a href="'.$track_url.'">'.sprintf(JText::_('COM_MYPLAYER_TITLEBYARTIST'),$track->title,$track->artist);
		if($track->duration)
			$tracks .= '<span class="label" >'.$track->duration.'</span>';
		if($track->cover)
			$tracks .= '<div class="myp-trackcover" ><img src="'.$cover_url.'" alt="cover" width="28" height="28" /></div>';
		$tracks .= '</a>';
		$tracks .= '</li>'		;
	}
}
else
	$tracks .= '<li>'.JText::_('COM_MYPLAYER_NOTRACKYET'). '</li>';
	
	$player_height = $default_playerheight;
		if( @$customize->player_height)
			$player_height = $customize->player_height;
		if( $player_height>$max_playerheight)
			$player_height = $max_playerheight;
		if($player_height<$min_playerheight)
			$player_height = $min_playerheight;
			
		if($playlistid>0)
		$html .= $playlist->description;

$html .= '<div class="sm2-bar-ui full-width textured playlist-open '.$attributes.'" style="height:'.$player_height.'px">
			<div class="bd sm2-main-controls">
			<div class="sm2-inline-texture" style="background: '.$texture_css.'" ></div>
			<div class="sm2-inline-gradient"></div>
			<div class="sm2-inline-element sm2-button-element">
			<div class="sm2-button-bd">
				<a href="#play" class="sm2-inline-button play-pause">Play / pause</a>
				</div>
			</div>
			<div class="sm2-inline-element sm2-inline-status">
						<div class="sm2-playlist">
							<div class="sm2-playlist-target">
								<ul class="sm2-playlist-bd">'.$tracks.'</ul>
							</div>
   						</div>
						<div class="sm2-progress">
							<div class="sm2-row">
    							<div class="sm2-inline-time">0:00</div>
     							<div class="sm2-progress-bd">
      								<div class="sm2-progress-track">
      									<div class="sm2-progress-bar"></div>
										<div class="sm2-progress-ball">
											<div class="icon-overlay"></div>
										</div>
      								</div>
     							</div>
     							<div class="sm2-inline-duration">0:00</div>
    						</div>
   						</div>
  					</div>
					<div class="sm2-inline-element sm2-button-element sm2-volume">
						<div class="sm2-button-bd">
							<span class="sm2-inline-button sm2-volume-control volume-shade"></span>
							<a href="#volume" class="sm2-inline-button sm2-volume-control">volume</a>
						</div>
					</div>
					<div class="sm2-inline-element sm2-button-element">
						<div class="sm2-button-bd">
							<a href="#prev" title="Previous" class="sm2-inline-button previous">&lt; previous</a>
					   </div>
					</div>
					<div class="sm2-inline-element sm2-button-element">
						<div class="sm2-button-bd">
							<a href="#next" title="Next" class="sm2-inline-button next">&gt; next</a>
						</div>
					</div>
					<div class="sm2-inline-element sm2-button-element sm2-menu">
						<div class="sm2-button-bd">
							<a href="#menu" class="sm2-inline-button pmenu">menu</a>
						</div>
					</div>
				</div>
				<div class="bd sm2-playlist-drawer sm2-element" style="height:'.$player_height.'px">
					<div class="sm2-inline-texture">
						<div class="sm2-box-shadow"></div>
					</div>
					<!-- playlist content is mirrored here -->
					<div class="sm2-playlist-wrapper">
						<ul class="sm2-playlist-bd">'.$tracks .'</ul>
					</div>
					<div class="sm2-extra-controls">
						<div class="bd">
							<div class="sm2-inline-element sm2-button-element">
								<a href="#prev" title="Previous" class="sm2-inline-button previous">&lt; previous</a>
							</div>
							<div class="sm2-inline-element sm2-button-element">
								<a href="#next" title="Next" class="sm2-inline-button next">&gt; next</a>
							</div>
	
							<!-- unimplemented -->
							<!--
							<div class="sm2-inline-element sm2-button-element disabled">
								<a href="#repeat" title="Repeat playlist" class="sm2-inline-button repeat">
								&infin; repeat</a>
							</div>
			
							<div class="sm2-inline-element sm2-button-element disabled">
								<a href="#shuffle" title="Shuffle" class="sm2-inline-button shuffle">shuffle</a>
							</div>
							-->
						 </div>
					</div>
				</div>
			</div>';
if(!$tracks )
{
	$html .='<div class="well well-small">
	<i class="myp-icon-cancel"></i> '.JText::_('PLG_MYPLAYER_NOTRACKYET');
	if(!$tracks  && $userid==$juser->id)
	{
		$html .='<div class="myp-notrack">
		<a class="btn btn-success btn-large" 
		href="'.JRoute::_('index.php?option=com_myplayer&view=trackform').'">
		<i class="myp-icon-upload"></i> '.JText::_('PLG_MYPLAYER_UPLOAD').'</a>
		</div>';
	}
	$html .='</div>';
}
if( 
			($playlistid>0 && @$playlist->privacy!='0') OR ( $playlistid==0 && $default_privacy!='0' ) 
		)
		{
			if($playlistid>0)
				$title = JText::_('COM_MYPLAYER_LOCKED_'.$playlist->privacy);
			else
				$title = JText::_('COM_MYPLAYER_LOCKED_'.$default_privacy);
			$html .='<i class="myp-icon-lock hasTooltip" title="'.$title.'"></i>';
		}
if($appid && 
			($playlistid>0 && @$playlist->privacy=='0') OR ( $playlistid==0 && $default_privacy=='0' ) 
		)
		{
			$lang 		= JFactory::getLanguage();
			$langtag	= str_replace("-","_", $lang->get('tag') );
			$html .= '<div id="fb-root"></div>
						<script>(function(d, s, id) {
						  var js, fjs = d.getElementsByTagName(s)[0];
						  if (d.getElementById(id)) return;
						  js = d.createElement(s); js.id = id;
						  js.src = "//connect.facebook.net/'.$langtag.'/all.js#xfbml=1&appId='.$appid.'&version=v2.0";
						  fjs.parentNode.insertBefore(js, fjs);
						}(document, \'script\', \'facebook-jssdk\'));</script>';
			$html .= '<div class="fb-like" data-href="'.$share_url.'" 
			data-width="'.$fb_width.'" data-layout="'.$fb_layout.'"  
			data-show-faces="'.$friends_faces.'" data-share="true"></div>';	
		}
if($userid>0)
{
	$html .= '<div class="myp-controls" >';
	if($enable_share && 
				(($playlistid>0 && @$playlist->privacy=='0') OR ( $playlistid==0 && $default_privacy=='0' ))
			 )
			{
				$doc->addScriptDeclaration('jQuery(document).ready(function(){
					jQuery("#share-toggler").click(function(){
					jQuery("#myp-embed-container").hide();
					jQuery("#myp-share-container").toggle();
				});
				});');
				$html .= '<a href="#myplayer" class="hasTooltip" 
				title="'.JText::_('COM_MYPLAYER_SHARETOOLTIP').'"  id="share-toggler">
				<i class="myp-icon-share"></i></a>';
			}	
	if($enable_embed && 
				(($playlistid>0 && @$playlist->privacy=='0') OR ( $playlistid==0 && $default_privacy=='0' ))
			)
			{
				$doc->addScriptDeclaration('jQuery(document).ready(function(){
					jQuery("#embed-toggler").click(function(){
					jQuery("#myp-share-container").hide();
					jQuery("#myp-embed-container").toggle();});});');
				$html .= '<a href="#myplayer" class="hasTooltip" 
				title="'.JText::_('COM_MYPLAYER_EMBEDTOOLTIP').'"  
				id="embed-toggler"><i class="myp-icon-code"></i></a>';
			}
	if($enable_qrcode)
			{	
				JHTML::_('behavior.modal');	
				$qr_url = 'index.php?option=com_myplayer&view=player&userid='.$userid.'&playlistid='.$playlistid;
				if($playlistid=='0')
					$qr_url .= '&latest=1';
				$qr_url .= '&tmpl=component&qr=1&Itemid='.$player_Itemid;
				$qr_url=JRoute::_($qr_url);	
				$encodedurl = urlencode($qr_url);
				$html .= '<a target="_blank" 
				href="//chart.googleapis.com/chart?cht=qr&chs=350x350&chld=L&choe=UTF-8&chl='.$encodedurl.'" 
				class="hasTooltip " rel="{handler: \'iframe\', size: {x: 350, y: 350}}"
				title="'.JText::_('COM_MYPLAYER_QRCODETOOLTIP').'"  
				><i class="myp-icon-qrcode"></i></a>';
			}
			
			if($enable_popup)
			{
				$page_title = sprintf(JText::_('COM_MYPLAYER_PLAYERPAGETITLE'),JFactory::getUser($userid)->username);
				$popurl = 'index.php?option=com_myplayer&view=player&userid='.$userid.'&playlistid='.$playlistid;
				if($playlistid=='0')
					$popurl .= '&latest=1';
				$popurl .= '&tmpl=component&poped=1&Itemid='.$player_Itemid;
				$doc->addScriptDeclaration('function popitup(url) {
				newwindow=window.open(url,\''.$page_title.'\',\'height='.$popup_height.',width='.$popup_width.'\');
				if (window.focus) {newwindow.focus()}
				return false;}');
				$html .= '<a onclick="return popitup(\''.JRoute::_($popurl).'\')" class="hasTooltip" 
				title="'.JText::_('COM_MYPLAYER_POPUPIZE').'" href="'.$popurl.'"><i class="myp-icon-popup"></i></a>';
			}
	if($enable_podcast && 
				(($playlistid>0 && @$playlist->privacy=='0') OR ( $playlistid==0 && $default_privacy=='0' ))
			)
			{
				$feed_url = 'index.php?option=com_myplayer&view=player&userid='.$userid.'&playlistid='.$playlistid;
				if($playlistid=='0')
					$feed_url .= '&latest=1';
				$feed_url .= '&format=feed&Itemid='.$player_Itemid;
				$html .= '<a target="_blank" class="hasTooltip" 
				title="'.JText::_('COM_MYPLAYER_PODCASTFEED').'" 
				href="'.JRoute::_($feed_url).'"
				><i class="myp-icon-rss-squared"></i></a>';
			}
	$html .= '</div>
	<div class="clear"></div>';
}
if($enable_embed && 
		(($playlistid>0 && $playlist->privacy=='0') OR ( $playlistid==0 && $default_privacy=='0'))
		 )
		{
			$url='index.php?option=com_myplayer&view=player&userid='.$userid;
			if($playlistid)
				$url .= '&playlistid='.$playlistid;
			if($latest)
				$url .= '&latest=1';
			$url .= '&tmpl=component&embed=1' ;
			
			$embed_url = $uri->getScheme().'://'.$uri->getHost()
			.JRoute::_( $url, false);
			$embed_code = '<iframe src="'.$embed_url.'" width="300" height="400"></iframe>';
			$html .= '<div id="myp-embed-container">';
			$html .= '<i class="myp-icon-code"></i> '.JText::_('COM_MYPLAYER_EMBEDNOTICE');
			$html .=  '<pre><code>'.htmlspecialchars($embed_code).'</code></pre>
			</div>';
		}
if($enable_share && 
			(($playlistid>0 && @$playlist->privacy=='0') OR ( $playlistid==0 && $default_privacy=='0' ))
		)
		{
			$html .= '<div id="myp-share-container">';
			$html .= '<i class="myp-icon-share"></i> '.JText::_('COM_MYPLAYER_SHARENOTICE');
			$html .= '<pre><code>'.htmlspecialchars($share_url).'</code></pre>';
			$html .= '</div>';
		}


if($facebookcomments && $appid  && 
			(($playlistid>0 && @$playlist->privacy=='0') OR ( $playlistid==0 && $default_privacy=='0' ))
		 )
		{
			if($fbcomments_width>700)
				$fbcomments_width = 700;
			$scroll = "function scrollToAnchor(aid){
				    var aTag = jQuery(\"a[name='\"+ aid +\"']\");
				    jQuery('html,body').animate({scrollTop: aTag.offset().top},'slow');
				}";
			$doc->addScriptDeclaration($scroll);
			$html .= '<div class="fb-comments" data-href="'.$share_url.'" 
			data-numposts="5" data-width="'.$fbcomments_width.'" 
			data-colorscheme="'.$fb_colorscheme.'"></div>';
		}
}
echo $html;