<?php
/**
* @package		Easysocial
* @subpackge	app_myplayer
* @copyright	Copyright (C) 2010 - 2014 Nordmograph.com Adrien ROUSSEL. All rights reserved.
* @license		GNU/GPL v3, http://www.gnu.org/licenses/gpl-3.0.html
*/
defined( '_JEXEC' ) or die( 'Unauthorized Access' );

/**
 * Canvas view for Runtastic app
 *
 * @since	1.0
 * @access	public
 */

class MyplayerViewCanvas extends SocialAppsView
{
	/**
	 * This method is invoked automatically and must exist on this view.
	 *
	 * @since	1.0.0
	 * @access	public
	 * @param	int		The user id that is currently being viewed.
	 * @return 	void
	 */
	public function display($userid = null , $docType = null )
	{
		$app = JFactory::getApplication();
		$userid = $app->input->getInt('userid');
		
		$juser = JFactory::getUser();
		if($userid=='')
			$userid = $juser->id;
		$juri 		= JURI::base();
		
		$lang	= JFactory::getLanguage();
		$lang->load('com_myplayer', JPATH_SITE ,  $lang->getTag() , $reload=false);	
		$doc = JFactory::getDocument();
		$doc->addStylesheet($juri.'media/com_easysocial/apps/user/myplayer/assets/css/style.css');
		$doc->addStyleSheet($juri.'components/com_myplayer/assets/css/fontello.css');
		$doc->addStylesheet($juri.'components/com_myplayer/assets/soundmanager/bar-ui/css/bar-ui.css');
		$doc->addScript($juri.'components/com_myplayer/assets/soundmanager/soundmanager2-jsmin.js');
		$doc->addScript($juri.'components/com_myplayer/assets/soundmanager/bar-ui/script/bar-ui.js');
		
		
		
		$limit = '';
		
		
		
		/*$uri 	 	= JFactory::getURI();
		$share_url 	= $uri->getScheme().'://'.$uri->getHost()
		.JRoute::_('index.php?option=com_myplayer&view=player&userid='.$userid.'&Itemid='.$player_Itemid , false);*/
		$html 		= '';
		$colors 	= '';
		$attributes = '';
		
		
		
		
		// Get the app params
		//$userParams 	= $this->getUserParams( $userId );
		//$user_limit = (int) $userParams->get( 'limit'  );
		// Get the app params
		//$appParams	= $this->app->getParams();
		//$limit 	= (int)  $appParams->get( 'limit' , '30'  );
		
	
		
	
		
		// Requires the viewer to be logged in to access this app
		//Foundry::requireLogin();

		// We want the user object from app_runtastic so we can do funky stuffs.
		$user 	= Foundry::user( $userid );

		// Since we are on the canvas page, we have the flexibility to change the page title.
		if( $user->isViewer() )
		{
			$title 	= sprintf( JText::_( 'COM_MYPLAYER_PLAYERPAGETITLE')  ,$user->getName()  );
		}
		

		// Set the page title. You can use JFactory::getDocument()->setTitle( 'title' ) as well.
		//Foundry::page()->title( $title );

		
		$this->set( 'userid' , $userid );
		/*$this->set( 'playlistid' , $playlistid );
		$this->set( 'playlist' , $playlist );
		$this->set( 'playlists' , $playlists );
		$this->set( 'latest' , $latest );
		$this->set( 'items' , $items );
		$this->set( 'player_Itemid' , $player_Itemid );
		$this->set( 'customize' , $customize );
		
		$this->set( 'isdefaultallowed' , $isdefaultallowed );
		$this->set( 'isallowed' , $isallowed );*/
		

		//$this->set( 'limit', $limit);

		
		// If you use the built in theme manager, the namespace is relative to the following folder,
		// /media/com_easysocial/apps/user/runtastic/themes/default

		$canvas 	= 'canvas/default';

		// Output the contents
		echo parent::display( $canvas );
	}
}