<?php
/**
* @package		Easysocial
* @subpackge	app_myplayer
* @copyright	Copyright (C) 2010 - 2016 Nordmograph.com Adrien ROUSSEL. All rights reserved.
* @license		GNU/GPL v3, http://www.gnu.org/licenses/gpl-3.0.html
*/
defined( '_JEXEC' ) or die( 'Unauthorized Access' );

/**
 * Dashboard widget for MyPlayer
 *
 * @since	1.0
 * @access	public
 */
class MyplayerWidgetsProfile extends SocialAppsWidgets
{

	public function aboveHeader ( $user )
	{
		$appParams		= $this->app->getParams();
		$position	=	$appParams->get('position','');
		if($position =='aboveHeader')
			$this->showPlayer($user->id);
	}
	public function sidebarTop ( $user )
	{
		$appParams		= $this->app->getParams();
		$position	=	$appParams->get('position','sidebarTop');
		if($position =='sidebarTop')
			$this->showPlayer($user->id);
	}
	public function sidebarBottom ( $user )
	{
		$appParams		= $this->app->getParams();
		$position	=	$appParams->get('position','');
		if($position =='sidebarBottom')
			$this->showPlayer($user->id);
	}
	public function afterBadges ( $user )
	{
		$appParams		= $this->app->getParams();
		$position	=	$appParams->get('position','');
		if($position =='afterBadges')
			$this->showPlayer($user->id);
	}
	public function beforeBadges ( $user )
	{
		$appParams		= $this->app->getParams();
		$position	=	$appParams->get('position','');
		if($position =='beforeBadges')
			$this->showPlayer($user->id);
	}
	public function afterActions ( $user )
	{
		$appParams		= $this->app->getParams();
		$position	=	$appParams->get('position','');
		if($position =='afterActions')
			$this->showPlayer($user->id);
	}
	public function beforeActions ( $user )
	{
		$appParams		= $this->app->getParams();
		$position	=	$appParams->get('position','');
		if($position =='beforeActions')
			$this->showPlayer($user->id);
	}
	public function afterInfo ( $user )
	{
		$appParams		= $this->app->getParams();
		$position	=	$appParams->get('position','');
		if($position =='afterInfo')
			$this->showPlayer($user->id);
	}
	public function afterAvatar ( $user )
	{
		$appParams		= $this->app->getParams();
		$position	=	$appParams->get('position','');
		if($position =='afterAvatar')
			$this->showPlayer($user->id);
	}
	public function afterName ( $user )
	{
		$appParams		= $this->app->getParams();
		$position	=	$appParams->get('position','');
		if($position =='afterName')
			$this->showPlayer($user->id);
	}
	public function beforeName ( $user )
	{
		$appParams		= $this->app->getParams();
		$position	=	$appParams->get('position','');
		if($position =='beforeName')
			$this->showPlayer($user->id);
	}
	

	
	public function showPlayer( $userid )
	{
		$juser 	= JFactory::getUser();
		$juri 	= JURI::base();
		$app 	= JFactory::getApplication();
		$doc 	= JFactory::getDocument();
		// Get the user params
		$params 	= $this->getParams();
		
		$lang	= JFactory::getLanguage();
		$lang->load('com_myplayer', JPATH_SITE ,  $lang->getTag() , $reload=false);			
		
		// Get the app params
		$appParams	= $this->app->getParams();	
		
		// Load up the model
		//$model 	= $this->getModel( 'Whovisitedmyprofile' );
		
		$cparams 			= JComponentHelper::getParams('com_myplayer');
		$soundcloud_client_id 	= $cparams->get('soundcloud_client_id');

		$enable_podcast 	= $cparams->get('enable_podcast', 1);
		$enable_popup 		= $cparams->get('enable_popup', 1);
		$popup_width 		= $cparams->get('popup_width', '510');
		$popup_height 		= $cparams->get('popup_height', '215');
		$enable_embed 		= $cparams->get('enable_embed', 1);
		$enable_qrcode 		= $cparams->get('enable_qrcode', 1);
		$enable_share 		= $cparams->get('enable_share', 1);
		$appid 				= $cparams->get('appid'); // facebook appid
		$fb_width			= $cparams->get('fb_width', '150');
		$fb_layout			= $cparams->get('fb_layout', 'button_count');
		$fb_colorscheme		= $cparams->get('fb_colorscheme', 'light');
		$friends_faces		= $cparams->get('friends_faces', 'false');
		$include_share		= $cparams->get('include_share', 'true');
		$include_send		= $cparams->get('include_send', true);
		$facebookcomments 	= $cparams->get('facebookcomments',1);
		$fbcomments_width	= $cparams->get('fbcomments_width','700');
		$numposts			= $cparams->get('numposts','5');
		$default_privacy	= $cparams->get('default_privacy','0');
		
		$playlistid = $app->input->get('playlistid');
		$latest 	= $app->input->get('latest');
		
		require_once JPATH_BASE.'/components/com_myplayer/helpers/myplayer.php' ;
		if(!$playlistid && !$latest)
			$playlistid = MyplayerFrontendHelper::getFirstPlaylist($userid );
		if(!$playlistid)
		{
			$playlistid = '0';
			$latest = '1';	
		}
		else
			$latest = 0;
		
		//echo $playlistid;
			
		//$Itemid 	= MyplayerFrontendHelper::getPlayerItemid();	
		$limit = '1'; 
		$items 			= MyplayerFrontendHelper::getTracks($userid,$playlistid,'');
		$playlist 		= MyplayerFrontendHelper::getThisPlaylist( $playlistid );
		$customize 		= MyplayerFrontendHelper::getCustomize( $userid ,$playlistid );
		$playlists 		= MyplayerFrontendHelper::getPlaylists( $userid  );

		$player_Itemid 	= MyplayerFrontendHelper::getPlayerItemid();	
		
	
		$isdefaultallowed 	=  MyplayerFrontendHelper::getIsDefaultAllowed($userid);
		if($playlistid==0)
			$isallowed 	= $isdefaultallowed; 
		elseif($playlistid>0)
		{
			$isallowed 	= MyplayerFrontendHelper::getIsPlaylistAllowed($userid , $playlist->privacy);
			if($playlist->state!='1')
				$isallowed = 0;
		}
		
		
		$canvas_url = 'index.php?option=com_easysocial&view=apps&id='.$this->app->id.':'.$this->app->alias.'&layout=canvas';
		$canvas_url .= '&userid='.$userid.'&playlistid='.$playlistid;
		if($playlistid=='0')
			$canvas_url .= '&latest=1';
		$canvas_url .= '&Itemid='.$app->input->getInt('Itemid') ;
		
		
		
		$juri 		= JURI::base();
		$uri 	 	= JFactory::getURI();
		$share_url 	= $uri->getScheme().'://'.$uri->getHost()
		.JRoute::_('index.php?option=com_myplayer&view=player&userid='.$userid.'&Itemid='.$player_Itemid , false);

		$html 		= '';
		$colors 	= '';
		$attributes = '';
		$texture_css= '';
		
		if (!empty($customize))
		{
			$opacity 	= 1;
			$color 		= trim(MyplayerFrontendHelper::get_string_between($customize->css ,
				 'color:',';'));
			$fullcolors = trim(MyplayerFrontendHelper::get_string_between($customize->css ,
				 'rgba(',')'));
			$colors 	= explode(',',$fullcolors);
			$opacity 	= trim(end($colors));
			$texture 	= trim(MyplayerFrontendHelper::get_string_between($customize->css ,
				 'ground:',';'));
			if($colors)
			{
				echo '<style>.sm2-bar-ui .sm2-main-controls,
				.sm2-bar-ui .sm2-playlist-drawer {
				 background-color: '.$color.'; 
				 background-color: rgba('.$fullcolors.');
				 opacity:'.$opacity.';
				}</style>';
			}
			else
			{
				echo '<style>.sm2-bar-ui .sm2-main-controls,
				.sm2-bar-ui .sm2-playlist-drawer {
				 background-color: '.$color.';
				}</style>';
			}
			if(strpos($texture,'.png')!==false)
			{
				$texture_css = 'url('.$juri.
				'components/com_myplayer/assets/soundmanager/bar-ui/image/patterns/'.$texture.')';
			}
			else
				$texture_css =$texture;
			$attributes = $customize->attributes;
			echo '<style>.sm2-bar-ui .sm2-inline-texture {background:'.$texture_css.'}</style>';	
		}
		
		$html .='<div class="es-widget">
		<div class="es-widget-head">
		<div class="pull-left widget-title">
		<img src="'.$juri.'media/com_easysocial/apps/user/myplayer/assets/icons/large.png" width="18" height="18"/> '.JText::_('COM_MYPLAYER_SPOTLIGHTTRACK').'</div>
		</div>';
		if($userid == $juser->id)
		{
			$trackform_Itemid 		= MyplayerFrontendHelper::getTrackFormItemid();
			$tracksmanager_Itemid 	= MyplayerFrontendHelper::getTracksManagerItemid();
			$customize_Itemid 		= MyplayerFrontendHelper::getCustomizeItemid();
			$html .='<a name="myplayer"></a>
			<div class="myp-controls btn-group">
				<a class="btn btn-success btn-mini btn-xs hasTooltip" 
				title="'.JText::_('COM_MYPLAYER_ADD_ITEM').'" 
				href="'.JRoute::_('index.php?option=com_myplayer&view=trackform&Itemid='.$trackform_Itemid).'">
				<i class="myp-icon-upload"></i>
				</a>
				<a class="btn btn-default btn-mini btn-xs hasTooltip" 
				title="'.JText::_('COM_MYPLAYER_MANAGEPLAYLIST').'" 
				href="'.JRoute::_('index.php?option=com_myplayer&view=tracks&Itemid='.$tracksmanager_Itemid).'">
				<i class="myp-icon-list"></i>
				</a>
				<a class="btn btn-default btn-mini btn-xs hasTooltip" 
				title="'.JText::_('COM_MYPLAYER_CUSTOMIZEPLAYER').'" 
				href="'.JRoute::_('index.php?option=com_myplayer&view=customize&Itemid='.$customize_Itemid).'">
				<i class="myp-icon-droplet"></i>
				</a>
			</div>
			<div class="clear"></div>';		
		}
		
		$tracks = '';
		if(count($items))
		{
			foreach($items as $track)
			{
				if($track->file)
					$track_url = $juri.'media/com_myplayer/tracks/'.$track->created_by.'/'.$track->file;
				elseif($track->file_url)
				{
					$track_url = $track->file_url;
					if($soundcloud_client_id && strpos($track_url,'soundcloud')!==false )
						$track_url = $track_url.'?client_id='.$soundcloud_client_id;
				}
				if($track->cover)
					$cover_url = $juri.'media/com_myplayer/covers/'.$track->created_by.'/'.$track->cover;
				
				$tracks .= '<li>';
				$tracks .='<a href="'.$track_url.'">';
				if($track->cover)
					$tracks .= '<div class="myp-trackcover-as" ><img src="'.$cover_url.'" alt="cover" width="28" height="28" /></div> ';
				$tracks .= sprintf(JText::_('COM_MYPLAYER_TITLEBYARTIST'),$track->title,$track->artist).'</a>';
				$tracks .= '</li>'		;
			}
		}
		else
			$tracks .= '<li>'.JText::_('COM_MYPLAYER_NOTRACKYET'). '</li>';

		$html .= '<div class="sm2-bar-ui compact textured '.$attributes.'">

 <div class="bd sm2-main-controls">

  <div class="sm2-inline-texture"  style="background: '.$texture_css.'"></div>
  <div class="sm2-inline-gradient"></div>

  <div class="sm2-inline-element sm2-button-element">
   <div class="sm2-button-bd">
    <a type="audio/mp3" href="#play" class="sm2-inline-button play-pause">Play / pause</a>
   </div>
  </div>

  <div class="sm2-inline-element sm2-inline-status">

   <div class="sm2-playlist">
    <div class="sm2-playlist-target"><ul class="sm2-playlist-bd">'.$tracks.'</ul></div>
   </div>

   <div class="sm2-progress">
    <div class="sm2-row">
    <div class="sm2-inline-time">0:00</div>
     <div class="sm2-progress-bd">
      <div class="sm2-progress-track">
       <div class="sm2-progress-bar"></div>
       <div class="sm2-progress-ball"><div class="icon-overlay"></div></div>
      </div>
     </div>
     <div class="sm2-inline-duration">0:00</div>
    </div>
   </div>

  </div>

  <div class="sm2-inline-element sm2-button-element sm2-volume">
   <div class="sm2-button-bd">
    <span class="sm2-inline-button sm2-volume-control volume-shade"></span>
    <a href="#volume" class="sm2-inline-button sm2-volume-control">volume</a>
   </div>
  </div>

 </div>

 <div class="bd sm2-playlist-drawer sm2-element">

  <div class="sm2-inline-texture">
   <div class="sm2-box-shadow"></div>
  </div>

  <!-- playlist content is mirrored here -->

  <div class="sm2-playlist-wrapper">
    <ul class="sm2-playlist-bd">
     '.$tracks.'
    </ul>
  </div>
 </div>
</div>';
		if(!$tracks )
		{
			$html .='<div class="well well-small">
			<i class="myp-icon-cancel"></i> '.JText::_('PLG_MYPLAYER_NOTRACKYET');
			if(!$tracks  && $userid==$juser->id)
			{
				$html .='<div class="myp-notrack">
				<a class="btn btn-success btn-large" 
				href="'.JRoute::_('index.php?option=com_myplayer&view=trackform').'">
				<i class="myp-icon-upload"></i> '.JText::_('PLG_MYPLAYER_UPLOAD').'</a>
				</div>';
			}
			$html .='</div>';
		}
		
		$html .='<div id="fullplayer-btn">
		<a class="btn btn-mini btn-xs btn-primary" href="'.$canvas_url.'">'.JText::_('COM_MYPLAYER_MORETRACKS').'
		</a></div>';
		if($userid>0)
		{
			$html .= '<div class="myp-controls" >';

			if($enable_qrcode)
			{	
				JHTML::_('behavior.modal');	
				$qr_url=JRoute::_('index.php?option=com_myplayer&view=player&userid='.$userid.'&playlistid=0&latest=1&tmpl=component&qr=1');	
				$encodedurl = urlencode($qr_url);
				$html .= '<a 
				href="//chart.googleapis.com/chart?cht=qr&chs=350x350&chld=L&choe=UTF-8&chl='.$encodedurl.'" 
				class="hasTooltip modal" rel="{handler: \'iframe\', size: {x: 350, y: 350}}"
				title="'.JText::_('COM_MYPLAYER_QRCODETOOLTIP').'"  
				><i class="myp-icon-qrcode"></i></a>';
			}
			if($enable_popup)
			{
				$page_title = sprintf(JText::_('COM_MYPLAYER_PLAYERPAGETITLE'),JFactory::getUser($userid)->username);
				$popurl=JRoute::_('index.php?option=com_myplayer&view=player&userid='.$userid.'&playlistid=0&latest=1&tmpl=component&poped=1');
				
				$doc->addScriptDeclaration('function popitup(url) {
				newwindow=window.open(url,\''.$page_title.'\',\'height='.$popup_height.',width='.$popup_width.'\');
				if (window.focus) {newwindow.focus()}
				return false;}');
				$html .= '<a onclick="return popitup(\''.$popurl.'\')" class="hasTooltip" 
				title="'.JText::_('COM_MYPLAYER_POPUPIZE').'" href="'.$popurl.'"
				><i class="myp-icon-popup"></i></a>';
			}
		
			if($enable_podcast)
			{
				$feed_url = 'index.php?option=com_myplayer&view=player&userid='.$userid.'&playlistid=0&latest=1';
				$feed_url .= '&format=feed&Itemid='.$player_Itemid;
				
				$html .= '<a target="_blank" class="hasTooltip" 
				title="'.JText::_('COM_MYPLAYER_PODCASTFEED').'" 
				href="'.JRoute::_($feed_url).'"
				><i class="myp-icon-rss-squared"></i></a>';
			}
			$html .= '</div>
			<div class="clear"></div>';
		}
		$html .= '</div>';
		echo $html;
	}
}
